/* Xist IP builder*/



`timescale 1 ns / 1 ps

module FIFO ( Data, WrClock, RdClock, WrEn, RdEn,  Reset, RPReset, 

    Q, Empty, Full, AlmostEmpty, AlmostFull);

    input wire [15:0] Data;

    input wire WrClock;

    input wire RdClock;

    input wire WrEn;

    input wire RdEn;

    

    input wire Reset;

    input wire RPReset;

    output wire [15:0] Q;

    output wire Empty;

    output wire Full;

    output wire AlmostEmpty;

    output wire AlmostFull;



    wire Empty_int;

    wire Full_int;

	

    supply1 ipgen_VCC;

    supply0 ipgen_GND;



	



    defparam fifo_0_0_0.FULLPOINTER1 = "0b01111111111111" ;

    defparam fifo_0_0_0.FULLPOINTER = "0b10000000000000" ;

    defparam fifo_0_0_0.AFPOINTER1 = "0b00000111111101" ;

    defparam fifo_0_0_0.AFPOINTER = "0b00000111111110" ;

    defparam fifo_0_0_0.AEPOINTER1 = "0b00000000001011" ;

    defparam fifo_0_0_0.AEPOINTER = "0b00000000001010" ;

    defparam fifo_0_0_0.ASYNC_RESET_RELEASE = "SYNC" ;

    defparam fifo_0_0_0.GSR = "DISABLED" ;

    defparam fifo_0_0_0.RESETMODE = "ASYNC" ;

    defparam fifo_0_0_0.REGMODE = "NOREG" ;

    defparam fifo_0_0_0.CSDECODE_R = "0b11" ;

    defparam fifo_0_0_0.CSDECODE_W = "0b11" ;

    defparam fifo_0_0_0.DATA_WIDTH_R = 1 ;

    defparam fifo_0_0_0.DATA_WIDTH_W = 1 ;

    xsFIFO8KB fifo_0_0_0  (.DI0(ipgen_GND), .DI1(ipgen_GND), .DI2(ipgen_GND), 

        .DI3(ipgen_GND), .DI4(ipgen_GND), .DI5(ipgen_GND), .DI6(ipgen_GND), 

        .DI7(ipgen_GND), .DI8(ipgen_GND), .DI9(ipgen_GND), .DI10(ipgen_GND), 

        .DI11(Data[0]), .DI12(ipgen_GND), .DI13(ipgen_GND), .DI14(ipgen_GND), 

        .DI15(ipgen_GND), .DI16(ipgen_GND), .DI17(ipgen_GND), .DI18(ipgen_GND),

		.DI19(ipgen_GND), .DI20(ipgen_GND), .DI21(ipgen_GND), .DI22(ipgen_GND),

		.DI23(ipgen_GND), .DI24(ipgen_GND), .DI25(ipgen_GND), .DI26(ipgen_GND),

		.DI27(ipgen_GND), .DI28(ipgen_GND), .DI29(ipgen_GND), .DI30(ipgen_GND),

		.DI31(ipgen_GND), .DI32(ipgen_GND), .DI33(ipgen_GND), .DI34(ipgen_GND),

		.DI35(ipgen_GND), .CSW0(ipgen_VCC), .CSW1(ipgen_VCC), .CSR0(ipgen_VCC),

		.CSR1(ipgen_VCC), .FULLI(Full_int), .EMPTYI(Empty_int), .WE(WrEn), .RE(RdEn),

		.ORE(RdEn),.CLKW(WrClock), .CLKR(RdClock), .RST(Reset), .RPRST(RPReset),

		.DO0(Q[0]), .DO1(), .DO2(), .DO3(), .DO4(), .DO5(), .DO6(), .DO7(),

		.DO8(), .DO9(), .DO10(), .DO11(), .DO12(), .DO13(), .DO14(),

		.DO15(), .DO16(), .DO17(), .DO18(), .DO19(), .DO20(), .DO21(),

		.DO22(), .DO23(), .DO24(), .DO25(), .DO26(), .DO27(), .DO28(),

		.DO29(), .DO30(), .DO31(), .DO32(), .DO33(), .DO34(), .DO35(), 

		.EF(Empty_int), .AEF(AlmostEmpty), .AFF(AlmostFull), .FF(Full_int));



    

		



    defparam fifo_0_1_1.FULLPOINTER1 = "0b01111111111111" ;

    defparam fifo_0_1_1.FULLPOINTER = "0b10000000000000" ;

    defparam fifo_0_1_1.AFPOINTER1 = "0b00000111111101" ;

    defparam fifo_0_1_1.AFPOINTER = "0b00000111111110" ;

    defparam fifo_0_1_1.AEPOINTER1 = "0b00000000001011" ;

    defparam fifo_0_1_1.AEPOINTER = "0b00000000001010" ;

    defparam fifo_0_1_1.ASYNC_RESET_RELEASE = "SYNC" ;

    defparam fifo_0_1_1.GSR = "DISABLED" ;

    defparam fifo_0_1_1.RESETMODE = "ASYNC" ;

    defparam fifo_0_1_1.REGMODE = "NOREG" ;

    defparam fifo_0_1_1.CSDECODE_R = "0b11" ;

    defparam fifo_0_1_1.CSDECODE_W = "0b11" ;

    defparam fifo_0_1_1.DATA_WIDTH_R = 1 ;

    defparam fifo_0_1_1.DATA_WIDTH_W = 1 ;

    xsFIFO8KB fifo_0_1_1  (.DI0(ipgen_GND), .DI1(ipgen_GND), .DI2(ipgen_GND), 

        .DI3(ipgen_GND), .DI4(ipgen_GND), .DI5(ipgen_GND), .DI6(ipgen_GND), 

        .DI7(ipgen_GND), .DI8(ipgen_GND), .DI9(ipgen_GND), .DI10(ipgen_GND), 

        .DI11(Data[1]), .DI12(ipgen_GND), .DI13(ipgen_GND), .DI14(ipgen_GND), 

        .DI15(ipgen_GND), .DI16(ipgen_GND), .DI17(ipgen_GND), .DI18(ipgen_GND),

		.DI19(ipgen_GND), .DI20(ipgen_GND), .DI21(ipgen_GND), .DI22(ipgen_GND),

		.DI23(ipgen_GND), .DI24(ipgen_GND), .DI25(ipgen_GND), .DI26(ipgen_GND),

		.DI27(ipgen_GND), .DI28(ipgen_GND), .DI29(ipgen_GND), .DI30(ipgen_GND),

		.DI31(ipgen_GND), .DI32(ipgen_GND), .DI33(ipgen_GND), .DI34(ipgen_GND),

		.DI35(ipgen_GND), .CSW0(ipgen_VCC), .CSW1(ipgen_VCC), .CSR0(ipgen_VCC),

		.CSR1(ipgen_VCC), .FULLI(Full_int), .EMPTYI(Empty_int), .WE(WrEn), .RE(RdEn),

		.ORE(RdEn),.CLKW(WrClock), .CLKR(RdClock), .RST(Reset), .RPRST(RPReset),

		.DO0(Q[1]), .DO1(), .DO2(), .DO3(), .DO4(), .DO5(), .DO6(), .DO7(),

		.DO8(), .DO9(), .DO10(), .DO11(), .DO12(), .DO13(), .DO14(),

		.DO15(), .DO16(), .DO17(), .DO18(), .DO19(), .DO20(), .DO21(),

		.DO22(), .DO23(), .DO24(), .DO25(), .DO26(), .DO27(), .DO28(),

		.DO29(), .DO30(), .DO31(), .DO32(), .DO33(), .DO34(), .DO35(), 

		.EF(), .AEF(), .AFF(), .FF());



    

		



    defparam fifo_0_2_2.FULLPOINTER1 = "0b01111111111111" ;

    defparam fifo_0_2_2.FULLPOINTER = "0b10000000000000" ;

    defparam fifo_0_2_2.AFPOINTER1 = "0b00000111111101" ;

    defparam fifo_0_2_2.AFPOINTER = "0b00000111111110" ;

    defparam fifo_0_2_2.AEPOINTER1 = "0b00000000001011" ;

    defparam fifo_0_2_2.AEPOINTER = "0b00000000001010" ;

    defparam fifo_0_2_2.ASYNC_RESET_RELEASE = "SYNC" ;

    defparam fifo_0_2_2.GSR = "DISABLED" ;

    defparam fifo_0_2_2.RESETMODE = "ASYNC" ;

    defparam fifo_0_2_2.REGMODE = "NOREG" ;

    defparam fifo_0_2_2.CSDECODE_R = "0b11" ;

    defparam fifo_0_2_2.CSDECODE_W = "0b11" ;

    defparam fifo_0_2_2.DATA_WIDTH_R = 1 ;

    defparam fifo_0_2_2.DATA_WIDTH_W = 1 ;

    xsFIFO8KB fifo_0_2_2  (.DI0(ipgen_GND), .DI1(ipgen_GND), .DI2(ipgen_GND), 

        .DI3(ipgen_GND), .DI4(ipgen_GND), .DI5(ipgen_GND), .DI6(ipgen_GND), 

        .DI7(ipgen_GND), .DI8(ipgen_GND), .DI9(ipgen_GND), .DI10(ipgen_GND), 

        .DI11(Data[2]), .DI12(ipgen_GND), .DI13(ipgen_GND), .DI14(ipgen_GND), 

        .DI15(ipgen_GND), .DI16(ipgen_GND), .DI17(ipgen_GND), .DI18(ipgen_GND),

		.DI19(ipgen_GND), .DI20(ipgen_GND), .DI21(ipgen_GND), .DI22(ipgen_GND),

		.DI23(ipgen_GND), .DI24(ipgen_GND), .DI25(ipgen_GND), .DI26(ipgen_GND),

		.DI27(ipgen_GND), .DI28(ipgen_GND), .DI29(ipgen_GND), .DI30(ipgen_GND),

		.DI31(ipgen_GND), .DI32(ipgen_GND), .DI33(ipgen_GND), .DI34(ipgen_GND),

		.DI35(ipgen_GND), .CSW0(ipgen_VCC), .CSW1(ipgen_VCC), .CSR0(ipgen_VCC),

		.CSR1(ipgen_VCC), .FULLI(Full_int), .EMPTYI(Empty_int), .WE(WrEn), .RE(RdEn),

		.ORE(RdEn),.CLKW(WrClock), .CLKR(RdClock), .RST(Reset), .RPRST(RPReset),

		.DO0(Q[2]), .DO1(), .DO2(), .DO3(), .DO4(), .DO5(), .DO6(), .DO7(),

		.DO8(), .DO9(), .DO10(), .DO11(), .DO12(), .DO13(), .DO14(),

		.DO15(), .DO16(), .DO17(), .DO18(), .DO19(), .DO20(), .DO21(),

		.DO22(), .DO23(), .DO24(), .DO25(), .DO26(), .DO27(), .DO28(),

		.DO29(), .DO30(), .DO31(), .DO32(), .DO33(), .DO34(), .DO35(), 

		.EF(), .AEF(), .AFF(), .FF());



    

		



    defparam fifo_0_3_3.FULLPOINTER1 = "0b01111111111111" ;

    defparam fifo_0_3_3.FULLPOINTER = "0b10000000000000" ;

    defparam fifo_0_3_3.AFPOINTER1 = "0b00000111111101" ;

    defparam fifo_0_3_3.AFPOINTER = "0b00000111111110" ;

    defparam fifo_0_3_3.AEPOINTER1 = "0b00000000001011" ;

    defparam fifo_0_3_3.AEPOINTER = "0b00000000001010" ;

    defparam fifo_0_3_3.ASYNC_RESET_RELEASE = "SYNC" ;

    defparam fifo_0_3_3.GSR = "DISABLED" ;

    defparam fifo_0_3_3.RESETMODE = "ASYNC" ;

    defparam fifo_0_3_3.REGMODE = "NOREG" ;

    defparam fifo_0_3_3.CSDECODE_R = "0b11" ;

    defparam fifo_0_3_3.CSDECODE_W = "0b11" ;

    defparam fifo_0_3_3.DATA_WIDTH_R = 1 ;

    defparam fifo_0_3_3.DATA_WIDTH_W = 1 ;

    xsFIFO8KB fifo_0_3_3  (.DI0(ipgen_GND), .DI1(ipgen_GND), .DI2(ipgen_GND), 

        .DI3(ipgen_GND), .DI4(ipgen_GND), .DI5(ipgen_GND), .DI6(ipgen_GND), 

        .DI7(ipgen_GND), .DI8(ipgen_GND), .DI9(ipgen_GND), .DI10(ipgen_GND), 

        .DI11(Data[3]), .DI12(ipgen_GND), .DI13(ipgen_GND), .DI14(ipgen_GND), 

        .DI15(ipgen_GND), .DI16(ipgen_GND), .DI17(ipgen_GND), .DI18(ipgen_GND),

		.DI19(ipgen_GND), .DI20(ipgen_GND), .DI21(ipgen_GND), .DI22(ipgen_GND),

		.DI23(ipgen_GND), .DI24(ipgen_GND), .DI25(ipgen_GND), .DI26(ipgen_GND),

		.DI27(ipgen_GND), .DI28(ipgen_GND), .DI29(ipgen_GND), .DI30(ipgen_GND),

		.DI31(ipgen_GND), .DI32(ipgen_GND), .DI33(ipgen_GND), .DI34(ipgen_GND),

		.DI35(ipgen_GND), .CSW0(ipgen_VCC), .CSW1(ipgen_VCC), .CSR0(ipgen_VCC),

		.CSR1(ipgen_VCC), .FULLI(Full_int), .EMPTYI(Empty_int), .WE(WrEn), .RE(RdEn),

		.ORE(RdEn),.CLKW(WrClock), .CLKR(RdClock), .RST(Reset), .RPRST(RPReset),

		.DO0(Q[3]), .DO1(), .DO2(), .DO3(), .DO4(), .DO5(), .DO6(), .DO7(),

		.DO8(), .DO9(), .DO10(), .DO11(), .DO12(), .DO13(), .DO14(),

		.DO15(), .DO16(), .DO17(), .DO18(), .DO19(), .DO20(), .DO21(),

		.DO22(), .DO23(), .DO24(), .DO25(), .DO26(), .DO27(), .DO28(),

		.DO29(), .DO30(), .DO31(), .DO32(), .DO33(), .DO34(), .DO35(), 

		.EF(), .AEF(), .AFF(), .FF());



    

		



    defparam fifo_0_4_4.FULLPOINTER1 = "0b01111111111111" ;

    defparam fifo_0_4_4.FULLPOINTER = "0b10000000000000" ;

    defparam fifo_0_4_4.AFPOINTER1 = "0b00000111111101" ;

    defparam fifo_0_4_4.AFPOINTER = "0b00000111111110" ;

    defparam fifo_0_4_4.AEPOINTER1 = "0b00000000001011" ;

    defparam fifo_0_4_4.AEPOINTER = "0b00000000001010" ;

    defparam fifo_0_4_4.ASYNC_RESET_RELEASE = "SYNC" ;

    defparam fifo_0_4_4.GSR = "DISABLED" ;

    defparam fifo_0_4_4.RESETMODE = "ASYNC" ;

    defparam fifo_0_4_4.REGMODE = "NOREG" ;

    defparam fifo_0_4_4.CSDECODE_R = "0b11" ;

    defparam fifo_0_4_4.CSDECODE_W = "0b11" ;

    defparam fifo_0_4_4.DATA_WIDTH_R = 1 ;

    defparam fifo_0_4_4.DATA_WIDTH_W = 1 ;

    xsFIFO8KB fifo_0_4_4  (.DI0(ipgen_GND), .DI1(ipgen_GND), .DI2(ipgen_GND), 

        .DI3(ipgen_GND), .DI4(ipgen_GND), .DI5(ipgen_GND), .DI6(ipgen_GND), 

        .DI7(ipgen_GND), .DI8(ipgen_GND), .DI9(ipgen_GND), .DI10(ipgen_GND), 

        .DI11(Data[4]), .DI12(ipgen_GND), .DI13(ipgen_GND), .DI14(ipgen_GND), 

        .DI15(ipgen_GND), .DI16(ipgen_GND), .DI17(ipgen_GND), .DI18(ipgen_GND),

		.DI19(ipgen_GND), .DI20(ipgen_GND), .DI21(ipgen_GND), .DI22(ipgen_GND),

		.DI23(ipgen_GND), .DI24(ipgen_GND), .DI25(ipgen_GND), .DI26(ipgen_GND),

		.DI27(ipgen_GND), .DI28(ipgen_GND), .DI29(ipgen_GND), .DI30(ipgen_GND),

		.DI31(ipgen_GND), .DI32(ipgen_GND), .DI33(ipgen_GND), .DI34(ipgen_GND),

		.DI35(ipgen_GND), .CSW0(ipgen_VCC), .CSW1(ipgen_VCC), .CSR0(ipgen_VCC),

		.CSR1(ipgen_VCC), .FULLI(Full_int), .EMPTYI(Empty_int), .WE(WrEn), .RE(RdEn),

		.ORE(RdEn),.CLKW(WrClock), .CLKR(RdClock), .RST(Reset), .RPRST(RPReset),

		.DO0(Q[4]), .DO1(), .DO2(), .DO3(), .DO4(), .DO5(), .DO6(), .DO7(),

		.DO8(), .DO9(), .DO10(), .DO11(), .DO12(), .DO13(), .DO14(),

		.DO15(), .DO16(), .DO17(), .DO18(), .DO19(), .DO20(), .DO21(),

		.DO22(), .DO23(), .DO24(), .DO25(), .DO26(), .DO27(), .DO28(),

		.DO29(), .DO30(), .DO31(), .DO32(), .DO33(), .DO34(), .DO35(), 

		.EF(), .AEF(), .AFF(), .FF());



    

		



    defparam fifo_0_5_5.FULLPOINTER1 = "0b01111111111111" ;

    defparam fifo_0_5_5.FULLPOINTER = "0b10000000000000" ;

    defparam fifo_0_5_5.AFPOINTER1 = "0b00000111111101" ;

    defparam fifo_0_5_5.AFPOINTER = "0b00000111111110" ;

    defparam fifo_0_5_5.AEPOINTER1 = "0b00000000001011" ;

    defparam fifo_0_5_5.AEPOINTER = "0b00000000001010" ;

    defparam fifo_0_5_5.ASYNC_RESET_RELEASE = "SYNC" ;

    defparam fifo_0_5_5.GSR = "DISABLED" ;

    defparam fifo_0_5_5.RESETMODE = "ASYNC" ;

    defparam fifo_0_5_5.REGMODE = "NOREG" ;

    defparam fifo_0_5_5.CSDECODE_R = "0b11" ;

    defparam fifo_0_5_5.CSDECODE_W = "0b11" ;

    defparam fifo_0_5_5.DATA_WIDTH_R = 1 ;

    defparam fifo_0_5_5.DATA_WIDTH_W = 1 ;

    xsFIFO8KB fifo_0_5_5  (.DI0(ipgen_GND), .DI1(ipgen_GND), .DI2(ipgen_GND), 

        .DI3(ipgen_GND), .DI4(ipgen_GND), .DI5(ipgen_GND), .DI6(ipgen_GND), 

        .DI7(ipgen_GND), .DI8(ipgen_GND), .DI9(ipgen_GND), .DI10(ipgen_GND), 

        .DI11(Data[5]), .DI12(ipgen_GND), .DI13(ipgen_GND), .DI14(ipgen_GND), 

        .DI15(ipgen_GND), .DI16(ipgen_GND), .DI17(ipgen_GND), .DI18(ipgen_GND),

		.DI19(ipgen_GND), .DI20(ipgen_GND), .DI21(ipgen_GND), .DI22(ipgen_GND),

		.DI23(ipgen_GND), .DI24(ipgen_GND), .DI25(ipgen_GND), .DI26(ipgen_GND),

		.DI27(ipgen_GND), .DI28(ipgen_GND), .DI29(ipgen_GND), .DI30(ipgen_GND),

		.DI31(ipgen_GND), .DI32(ipgen_GND), .DI33(ipgen_GND), .DI34(ipgen_GND),

		.DI35(ipgen_GND), .CSW0(ipgen_VCC), .CSW1(ipgen_VCC), .CSR0(ipgen_VCC),

		.CSR1(ipgen_VCC), .FULLI(Full_int), .EMPTYI(Empty_int), .WE(WrEn), .RE(RdEn),

		.ORE(RdEn),.CLKW(WrClock), .CLKR(RdClock), .RST(Reset), .RPRST(RPReset),

		.DO0(Q[5]), .DO1(), .DO2(), .DO3(), .DO4(), .DO5(), .DO6(), .DO7(),

		.DO8(), .DO9(), .DO10(), .DO11(), .DO12(), .DO13(), .DO14(),

		.DO15(), .DO16(), .DO17(), .DO18(), .DO19(), .DO20(), .DO21(),

		.DO22(), .DO23(), .DO24(), .DO25(), .DO26(), .DO27(), .DO28(),

		.DO29(), .DO30(), .DO31(), .DO32(), .DO33(), .DO34(), .DO35(), 

		.EF(), .AEF(), .AFF(), .FF());



    

		



    defparam fifo_0_6_6.FULLPOINTER1 = "0b01111111111111" ;

    defparam fifo_0_6_6.FULLPOINTER = "0b10000000000000" ;

    defparam fifo_0_6_6.AFPOINTER1 = "0b00000111111101" ;

    defparam fifo_0_6_6.AFPOINTER = "0b00000111111110" ;

    defparam fifo_0_6_6.AEPOINTER1 = "0b00000000001011" ;

    defparam fifo_0_6_6.AEPOINTER = "0b00000000001010" ;

    defparam fifo_0_6_6.ASYNC_RESET_RELEASE = "SYNC" ;

    defparam fifo_0_6_6.GSR = "DISABLED" ;

    defparam fifo_0_6_6.RESETMODE = "ASYNC" ;

    defparam fifo_0_6_6.REGMODE = "NOREG" ;

    defparam fifo_0_6_6.CSDECODE_R = "0b11" ;

    defparam fifo_0_6_6.CSDECODE_W = "0b11" ;

    defparam fifo_0_6_6.DATA_WIDTH_R = 1 ;

    defparam fifo_0_6_6.DATA_WIDTH_W = 1 ;

    xsFIFO8KB fifo_0_6_6  (.DI0(ipgen_GND), .DI1(ipgen_GND), .DI2(ipgen_GND), 

        .DI3(ipgen_GND), .DI4(ipgen_GND), .DI5(ipgen_GND), .DI6(ipgen_GND), 

        .DI7(ipgen_GND), .DI8(ipgen_GND), .DI9(ipgen_GND), .DI10(ipgen_GND), 

        .DI11(Data[6]), .DI12(ipgen_GND), .DI13(ipgen_GND), .DI14(ipgen_GND), 

        .DI15(ipgen_GND), .DI16(ipgen_GND), .DI17(ipgen_GND), .DI18(ipgen_GND),

		.DI19(ipgen_GND), .DI20(ipgen_GND), .DI21(ipgen_GND), .DI22(ipgen_GND),

		.DI23(ipgen_GND), .DI24(ipgen_GND), .DI25(ipgen_GND), .DI26(ipgen_GND),

		.DI27(ipgen_GND), .DI28(ipgen_GND), .DI29(ipgen_GND), .DI30(ipgen_GND),

		.DI31(ipgen_GND), .DI32(ipgen_GND), .DI33(ipgen_GND), .DI34(ipgen_GND),

		.DI35(ipgen_GND), .CSW0(ipgen_VCC), .CSW1(ipgen_VCC), .CSR0(ipgen_VCC),

		.CSR1(ipgen_VCC), .FULLI(Full_int), .EMPTYI(Empty_int), .WE(WrEn), .RE(RdEn),

		.ORE(RdEn),.CLKW(WrClock), .CLKR(RdClock), .RST(Reset), .RPRST(RPReset),

		.DO0(Q[6]), .DO1(), .DO2(), .DO3(), .DO4(), .DO5(), .DO6(), .DO7(),

		.DO8(), .DO9(), .DO10(), .DO11(), .DO12(), .DO13(), .DO14(),

		.DO15(), .DO16(), .DO17(), .DO18(), .DO19(), .DO20(), .DO21(),

		.DO22(), .DO23(), .DO24(), .DO25(), .DO26(), .DO27(), .DO28(),

		.DO29(), .DO30(), .DO31(), .DO32(), .DO33(), .DO34(), .DO35(), 

		.EF(), .AEF(), .AFF(), .FF());



    

		



    defparam fifo_0_7_7.FULLPOINTER1 = "0b01111111111111" ;

    defparam fifo_0_7_7.FULLPOINTER = "0b10000000000000" ;

    defparam fifo_0_7_7.AFPOINTER1 = "0b00000111111101" ;

    defparam fifo_0_7_7.AFPOINTER = "0b00000111111110" ;

    defparam fifo_0_7_7.AEPOINTER1 = "0b00000000001011" ;

    defparam fifo_0_7_7.AEPOINTER = "0b00000000001010" ;

    defparam fifo_0_7_7.ASYNC_RESET_RELEASE = "SYNC" ;

    defparam fifo_0_7_7.GSR = "DISABLED" ;

    defparam fifo_0_7_7.RESETMODE = "ASYNC" ;

    defparam fifo_0_7_7.REGMODE = "NOREG" ;

    defparam fifo_0_7_7.CSDECODE_R = "0b11" ;

    defparam fifo_0_7_7.CSDECODE_W = "0b11" ;

    defparam fifo_0_7_7.DATA_WIDTH_R = 1 ;

    defparam fifo_0_7_7.DATA_WIDTH_W = 1 ;

    xsFIFO8KB fifo_0_7_7  (.DI0(ipgen_GND), .DI1(ipgen_GND), .DI2(ipgen_GND), 

        .DI3(ipgen_GND), .DI4(ipgen_GND), .DI5(ipgen_GND), .DI6(ipgen_GND), 

        .DI7(ipgen_GND), .DI8(ipgen_GND), .DI9(ipgen_GND), .DI10(ipgen_GND), 

        .DI11(Data[7]), .DI12(ipgen_GND), .DI13(ipgen_GND), .DI14(ipgen_GND), 

        .DI15(ipgen_GND), .DI16(ipgen_GND), .DI17(ipgen_GND), .DI18(ipgen_GND),

		.DI19(ipgen_GND), .DI20(ipgen_GND), .DI21(ipgen_GND), .DI22(ipgen_GND),

		.DI23(ipgen_GND), .DI24(ipgen_GND), .DI25(ipgen_GND), .DI26(ipgen_GND),

		.DI27(ipgen_GND), .DI28(ipgen_GND), .DI29(ipgen_GND), .DI30(ipgen_GND),

		.DI31(ipgen_GND), .DI32(ipgen_GND), .DI33(ipgen_GND), .DI34(ipgen_GND),

		.DI35(ipgen_GND), .CSW0(ipgen_VCC), .CSW1(ipgen_VCC), .CSR0(ipgen_VCC),

		.CSR1(ipgen_VCC), .FULLI(Full_int), .EMPTYI(Empty_int), .WE(WrEn), .RE(RdEn),

		.ORE(RdEn),.CLKW(WrClock), .CLKR(RdClock), .RST(Reset), .RPRST(RPReset),

		.DO0(Q[7]), .DO1(), .DO2(), .DO3(), .DO4(), .DO5(), .DO6(), .DO7(),

		.DO8(), .DO9(), .DO10(), .DO11(), .DO12(), .DO13(), .DO14(),

		.DO15(), .DO16(), .DO17(), .DO18(), .DO19(), .DO20(), .DO21(),

		.DO22(), .DO23(), .DO24(), .DO25(), .DO26(), .DO27(), .DO28(),

		.DO29(), .DO30(), .DO31(), .DO32(), .DO33(), .DO34(), .DO35(), 

		.EF(), .AEF(), .AFF(), .FF());



    

		



    defparam fifo_0_8_8.FULLPOINTER1 = "0b01111111111111" ;

    defparam fifo_0_8_8.FULLPOINTER = "0b10000000000000" ;

    defparam fifo_0_8_8.AFPOINTER1 = "0b00000111111101" ;

    defparam fifo_0_8_8.AFPOINTER = "0b00000111111110" ;

    defparam fifo_0_8_8.AEPOINTER1 = "0b00000000001011" ;

    defparam fifo_0_8_8.AEPOINTER = "0b00000000001010" ;

    defparam fifo_0_8_8.ASYNC_RESET_RELEASE = "SYNC" ;

    defparam fifo_0_8_8.GSR = "DISABLED" ;

    defparam fifo_0_8_8.RESETMODE = "ASYNC" ;

    defparam fifo_0_8_8.REGMODE = "NOREG" ;

    defparam fifo_0_8_8.CSDECODE_R = "0b11" ;

    defparam fifo_0_8_8.CSDECODE_W = "0b11" ;

    defparam fifo_0_8_8.DATA_WIDTH_R = 1 ;

    defparam fifo_0_8_8.DATA_WIDTH_W = 1 ;

    xsFIFO8KB fifo_0_8_8  (.DI0(ipgen_GND), .DI1(ipgen_GND), .DI2(ipgen_GND), 

        .DI3(ipgen_GND), .DI4(ipgen_GND), .DI5(ipgen_GND), .DI6(ipgen_GND), 

        .DI7(ipgen_GND), .DI8(ipgen_GND), .DI9(ipgen_GND), .DI10(ipgen_GND), 

        .DI11(Data[8]), .DI12(ipgen_GND), .DI13(ipgen_GND), .DI14(ipgen_GND), 

        .DI15(ipgen_GND), .DI16(ipgen_GND), .DI17(ipgen_GND), .DI18(ipgen_GND),

		.DI19(ipgen_GND), .DI20(ipgen_GND), .DI21(ipgen_GND), .DI22(ipgen_GND),

		.DI23(ipgen_GND), .DI24(ipgen_GND), .DI25(ipgen_GND), .DI26(ipgen_GND),

		.DI27(ipgen_GND), .DI28(ipgen_GND), .DI29(ipgen_GND), .DI30(ipgen_GND),

		.DI31(ipgen_GND), .DI32(ipgen_GND), .DI33(ipgen_GND), .DI34(ipgen_GND),

		.DI35(ipgen_GND), .CSW0(ipgen_VCC), .CSW1(ipgen_VCC), .CSR0(ipgen_VCC),

		.CSR1(ipgen_VCC), .FULLI(Full_int), .EMPTYI(Empty_int), .WE(WrEn), .RE(RdEn),

		.ORE(RdEn),.CLKW(WrClock), .CLKR(RdClock), .RST(Reset), .RPRST(RPReset),

		.DO0(Q[8]), .DO1(), .DO2(), .DO3(), .DO4(), .DO5(), .DO6(), .DO7(),

		.DO8(), .DO9(), .DO10(), .DO11(), .DO12(), .DO13(), .DO14(),

		.DO15(), .DO16(), .DO17(), .DO18(), .DO19(), .DO20(), .DO21(),

		.DO22(), .DO23(), .DO24(), .DO25(), .DO26(), .DO27(), .DO28(),

		.DO29(), .DO30(), .DO31(), .DO32(), .DO33(), .DO34(), .DO35(), 

		.EF(), .AEF(), .AFF(), .FF());



    

		



    defparam fifo_0_9_9.FULLPOINTER1 = "0b01111111111111" ;

    defparam fifo_0_9_9.FULLPOINTER = "0b10000000000000" ;

    defparam fifo_0_9_9.AFPOINTER1 = "0b00000111111101" ;

    defparam fifo_0_9_9.AFPOINTER = "0b00000111111110" ;

    defparam fifo_0_9_9.AEPOINTER1 = "0b00000000001011" ;

    defparam fifo_0_9_9.AEPOINTER = "0b00000000001010" ;

    defparam fifo_0_9_9.ASYNC_RESET_RELEASE = "SYNC" ;

    defparam fifo_0_9_9.GSR = "DISABLED" ;

    defparam fifo_0_9_9.RESETMODE = "ASYNC" ;

    defparam fifo_0_9_9.REGMODE = "NOREG" ;

    defparam fifo_0_9_9.CSDECODE_R = "0b11" ;

    defparam fifo_0_9_9.CSDECODE_W = "0b11" ;

    defparam fifo_0_9_9.DATA_WIDTH_R = 1 ;

    defparam fifo_0_9_9.DATA_WIDTH_W = 1 ;

    xsFIFO8KB fifo_0_9_9  (.DI0(ipgen_GND), .DI1(ipgen_GND), .DI2(ipgen_GND), 

        .DI3(ipgen_GND), .DI4(ipgen_GND), .DI5(ipgen_GND), .DI6(ipgen_GND), 

        .DI7(ipgen_GND), .DI8(ipgen_GND), .DI9(ipgen_GND), .DI10(ipgen_GND), 

        .DI11(Data[9]), .DI12(ipgen_GND), .DI13(ipgen_GND), .DI14(ipgen_GND), 

        .DI15(ipgen_GND), .DI16(ipgen_GND), .DI17(ipgen_GND), .DI18(ipgen_GND),

		.DI19(ipgen_GND), .DI20(ipgen_GND), .DI21(ipgen_GND), .DI22(ipgen_GND),

		.DI23(ipgen_GND), .DI24(ipgen_GND), .DI25(ipgen_GND), .DI26(ipgen_GND),

		.DI27(ipgen_GND), .DI28(ipgen_GND), .DI29(ipgen_GND), .DI30(ipgen_GND),

		.DI31(ipgen_GND), .DI32(ipgen_GND), .DI33(ipgen_GND), .DI34(ipgen_GND),

		.DI35(ipgen_GND), .CSW0(ipgen_VCC), .CSW1(ipgen_VCC), .CSR0(ipgen_VCC),

		.CSR1(ipgen_VCC), .FULLI(Full_int), .EMPTYI(Empty_int), .WE(WrEn), .RE(RdEn),

		.ORE(RdEn),.CLKW(WrClock), .CLKR(RdClock), .RST(Reset), .RPRST(RPReset),

		.DO0(Q[9]), .DO1(), .DO2(), .DO3(), .DO4(), .DO5(), .DO6(), .DO7(),

		.DO8(), .DO9(), .DO10(), .DO11(), .DO12(), .DO13(), .DO14(),

		.DO15(), .DO16(), .DO17(), .DO18(), .DO19(), .DO20(), .DO21(),

		.DO22(), .DO23(), .DO24(), .DO25(), .DO26(), .DO27(), .DO28(),

		.DO29(), .DO30(), .DO31(), .DO32(), .DO33(), .DO34(), .DO35(), 

		.EF(), .AEF(), .AFF(), .FF());



    

		



    defparam fifo_0_10_10.FULLPOINTER1 = "0b01111111111111" ;

    defparam fifo_0_10_10.FULLPOINTER = "0b10000000000000" ;

    defparam fifo_0_10_10.AFPOINTER1 = "0b00000111111101" ;

    defparam fifo_0_10_10.AFPOINTER = "0b00000111111110" ;

    defparam fifo_0_10_10.AEPOINTER1 = "0b00000000001011" ;

    defparam fifo_0_10_10.AEPOINTER = "0b00000000001010" ;

    defparam fifo_0_10_10.ASYNC_RESET_RELEASE = "SYNC" ;

    defparam fifo_0_10_10.GSR = "DISABLED" ;

    defparam fifo_0_10_10.RESETMODE = "ASYNC" ;

    defparam fifo_0_10_10.REGMODE = "NOREG" ;

    defparam fifo_0_10_10.CSDECODE_R = "0b11" ;

    defparam fifo_0_10_10.CSDECODE_W = "0b11" ;

    defparam fifo_0_10_10.DATA_WIDTH_R = 1 ;

    defparam fifo_0_10_10.DATA_WIDTH_W = 1 ;

    xsFIFO8KB fifo_0_10_10  (.DI0(ipgen_GND), .DI1(ipgen_GND), .DI2(ipgen_GND), 

        .DI3(ipgen_GND), .DI4(ipgen_GND), .DI5(ipgen_GND), .DI6(ipgen_GND), 

        .DI7(ipgen_GND), .DI8(ipgen_GND), .DI9(ipgen_GND), .DI10(ipgen_GND), 

        .DI11(Data[10]), .DI12(ipgen_GND), .DI13(ipgen_GND), .DI14(ipgen_GND), 

        .DI15(ipgen_GND), .DI16(ipgen_GND), .DI17(ipgen_GND), .DI18(ipgen_GND),

		.DI19(ipgen_GND), .DI20(ipgen_GND), .DI21(ipgen_GND), .DI22(ipgen_GND),

		.DI23(ipgen_GND), .DI24(ipgen_GND), .DI25(ipgen_GND), .DI26(ipgen_GND),

		.DI27(ipgen_GND), .DI28(ipgen_GND), .DI29(ipgen_GND), .DI30(ipgen_GND),

		.DI31(ipgen_GND), .DI32(ipgen_GND), .DI33(ipgen_GND), .DI34(ipgen_GND),

		.DI35(ipgen_GND), .CSW0(ipgen_VCC), .CSW1(ipgen_VCC), .CSR0(ipgen_VCC),

		.CSR1(ipgen_VCC), .FULLI(Full_int), .EMPTYI(Empty_int), .WE(WrEn), .RE(RdEn),

		.ORE(RdEn),.CLKW(WrClock), .CLKR(RdClock), .RST(Reset), .RPRST(RPReset),

		.DO0(Q[10]), .DO1(), .DO2(), .DO3(), .DO4(), .DO5(), .DO6(), .DO7(),

		.DO8(), .DO9(), .DO10(), .DO11(), .DO12(), .DO13(), .DO14(),

		.DO15(), .DO16(), .DO17(), .DO18(), .DO19(), .DO20(), .DO21(),

		.DO22(), .DO23(), .DO24(), .DO25(), .DO26(), .DO27(), .DO28(),

		.DO29(), .DO30(), .DO31(), .DO32(), .DO33(), .DO34(), .DO35(), 

		.EF(), .AEF(), .AFF(), .FF());



    

		



    defparam fifo_0_11_11.FULLPOINTER1 = "0b01111111111111" ;

    defparam fifo_0_11_11.FULLPOINTER = "0b10000000000000" ;

    defparam fifo_0_11_11.AFPOINTER1 = "0b00000111111101" ;

    defparam fifo_0_11_11.AFPOINTER = "0b00000111111110" ;

    defparam fifo_0_11_11.AEPOINTER1 = "0b00000000001011" ;

    defparam fifo_0_11_11.AEPOINTER = "0b00000000001010" ;

    defparam fifo_0_11_11.ASYNC_RESET_RELEASE = "SYNC" ;

    defparam fifo_0_11_11.GSR = "DISABLED" ;

    defparam fifo_0_11_11.RESETMODE = "ASYNC" ;

    defparam fifo_0_11_11.REGMODE = "NOREG" ;

    defparam fifo_0_11_11.CSDECODE_R = "0b11" ;

    defparam fifo_0_11_11.CSDECODE_W = "0b11" ;

    defparam fifo_0_11_11.DATA_WIDTH_R = 1 ;

    defparam fifo_0_11_11.DATA_WIDTH_W = 1 ;

    xsFIFO8KB fifo_0_11_11  (.DI0(ipgen_GND), .DI1(ipgen_GND), .DI2(ipgen_GND), 

        .DI3(ipgen_GND), .DI4(ipgen_GND), .DI5(ipgen_GND), .DI6(ipgen_GND), 

        .DI7(ipgen_GND), .DI8(ipgen_GND), .DI9(ipgen_GND), .DI10(ipgen_GND), 

        .DI11(Data[11]), .DI12(ipgen_GND), .DI13(ipgen_GND), .DI14(ipgen_GND), 

        .DI15(ipgen_GND), .DI16(ipgen_GND), .DI17(ipgen_GND), .DI18(ipgen_GND),

		.DI19(ipgen_GND), .DI20(ipgen_GND), .DI21(ipgen_GND), .DI22(ipgen_GND),

		.DI23(ipgen_GND), .DI24(ipgen_GND), .DI25(ipgen_GND), .DI26(ipgen_GND),

		.DI27(ipgen_GND), .DI28(ipgen_GND), .DI29(ipgen_GND), .DI30(ipgen_GND),

		.DI31(ipgen_GND), .DI32(ipgen_GND), .DI33(ipgen_GND), .DI34(ipgen_GND),

		.DI35(ipgen_GND), .CSW0(ipgen_VCC), .CSW1(ipgen_VCC), .CSR0(ipgen_VCC),

		.CSR1(ipgen_VCC), .FULLI(Full_int), .EMPTYI(Empty_int), .WE(WrEn), .RE(RdEn),

		.ORE(RdEn),.CLKW(WrClock), .CLKR(RdClock), .RST(Reset), .RPRST(RPReset),

		.DO0(Q[11]), .DO1(), .DO2(), .DO3(), .DO4(), .DO5(), .DO6(), .DO7(),

		.DO8(), .DO9(), .DO10(), .DO11(), .DO12(), .DO13(), .DO14(),

		.DO15(), .DO16(), .DO17(), .DO18(), .DO19(), .DO20(), .DO21(),

		.DO22(), .DO23(), .DO24(), .DO25(), .DO26(), .DO27(), .DO28(),

		.DO29(), .DO30(), .DO31(), .DO32(), .DO33(), .DO34(), .DO35(), 

		.EF(), .AEF(), .AFF(), .FF());



    

		



    defparam fifo_0_12_12.FULLPOINTER1 = "0b01111111111111" ;

    defparam fifo_0_12_12.FULLPOINTER = "0b10000000000000" ;

    defparam fifo_0_12_12.AFPOINTER1 = "0b00000111111101" ;

    defparam fifo_0_12_12.AFPOINTER = "0b00000111111110" ;

    defparam fifo_0_12_12.AEPOINTER1 = "0b00000000001011" ;

    defparam fifo_0_12_12.AEPOINTER = "0b00000000001010" ;

    defparam fifo_0_12_12.ASYNC_RESET_RELEASE = "SYNC" ;

    defparam fifo_0_12_12.GSR = "DISABLED" ;

    defparam fifo_0_12_12.RESETMODE = "ASYNC" ;

    defparam fifo_0_12_12.REGMODE = "NOREG" ;

    defparam fifo_0_12_12.CSDECODE_R = "0b11" ;

    defparam fifo_0_12_12.CSDECODE_W = "0b11" ;

    defparam fifo_0_12_12.DATA_WIDTH_R = 1 ;

    defparam fifo_0_12_12.DATA_WIDTH_W = 1 ;

    xsFIFO8KB fifo_0_12_12  (.DI0(ipgen_GND), .DI1(ipgen_GND), .DI2(ipgen_GND), 

        .DI3(ipgen_GND), .DI4(ipgen_GND), .DI5(ipgen_GND), .DI6(ipgen_GND), 

        .DI7(ipgen_GND), .DI8(ipgen_GND), .DI9(ipgen_GND), .DI10(ipgen_GND), 

        .DI11(Data[12]), .DI12(ipgen_GND), .DI13(ipgen_GND), .DI14(ipgen_GND), 

        .DI15(ipgen_GND), .DI16(ipgen_GND), .DI17(ipgen_GND), .DI18(ipgen_GND),

		.DI19(ipgen_GND), .DI20(ipgen_GND), .DI21(ipgen_GND), .DI22(ipgen_GND),

		.DI23(ipgen_GND), .DI24(ipgen_GND), .DI25(ipgen_GND), .DI26(ipgen_GND),

		.DI27(ipgen_GND), .DI28(ipgen_GND), .DI29(ipgen_GND), .DI30(ipgen_GND),

		.DI31(ipgen_GND), .DI32(ipgen_GND), .DI33(ipgen_GND), .DI34(ipgen_GND),

		.DI35(ipgen_GND), .CSW0(ipgen_VCC), .CSW1(ipgen_VCC), .CSR0(ipgen_VCC),

		.CSR1(ipgen_VCC), .FULLI(Full_int), .EMPTYI(Empty_int), .WE(WrEn), .RE(RdEn),

		.ORE(RdEn),.CLKW(WrClock), .CLKR(RdClock), .RST(Reset), .RPRST(RPReset),

		.DO0(Q[12]), .DO1(), .DO2(), .DO3(), .DO4(), .DO5(), .DO6(), .DO7(),

		.DO8(), .DO9(), .DO10(), .DO11(), .DO12(), .DO13(), .DO14(),

		.DO15(), .DO16(), .DO17(), .DO18(), .DO19(), .DO20(), .DO21(),

		.DO22(), .DO23(), .DO24(), .DO25(), .DO26(), .DO27(), .DO28(),

		.DO29(), .DO30(), .DO31(), .DO32(), .DO33(), .DO34(), .DO35(), 

		.EF(), .AEF(), .AFF(), .FF());



    

		



    defparam fifo_0_13_13.FULLPOINTER1 = "0b01111111111111" ;

    defparam fifo_0_13_13.FULLPOINTER = "0b10000000000000" ;

    defparam fifo_0_13_13.AFPOINTER1 = "0b00000111111101" ;

    defparam fifo_0_13_13.AFPOINTER = "0b00000111111110" ;

    defparam fifo_0_13_13.AEPOINTER1 = "0b00000000001011" ;

    defparam fifo_0_13_13.AEPOINTER = "0b00000000001010" ;

    defparam fifo_0_13_13.ASYNC_RESET_RELEASE = "SYNC" ;

    defparam fifo_0_13_13.GSR = "DISABLED" ;

    defparam fifo_0_13_13.RESETMODE = "ASYNC" ;

    defparam fifo_0_13_13.REGMODE = "NOREG" ;

    defparam fifo_0_13_13.CSDECODE_R = "0b11" ;

    defparam fifo_0_13_13.CSDECODE_W = "0b11" ;

    defparam fifo_0_13_13.DATA_WIDTH_R = 1 ;

    defparam fifo_0_13_13.DATA_WIDTH_W = 1 ;

    xsFIFO8KB fifo_0_13_13  (.DI0(ipgen_GND), .DI1(ipgen_GND), .DI2(ipgen_GND), 

        .DI3(ipgen_GND), .DI4(ipgen_GND), .DI5(ipgen_GND), .DI6(ipgen_GND), 

        .DI7(ipgen_GND), .DI8(ipgen_GND), .DI9(ipgen_GND), .DI10(ipgen_GND), 

        .DI11(Data[13]), .DI12(ipgen_GND), .DI13(ipgen_GND), .DI14(ipgen_GND), 

        .DI15(ipgen_GND), .DI16(ipgen_GND), .DI17(ipgen_GND), .DI18(ipgen_GND),

		.DI19(ipgen_GND), .DI20(ipgen_GND), .DI21(ipgen_GND), .DI22(ipgen_GND),

		.DI23(ipgen_GND), .DI24(ipgen_GND), .DI25(ipgen_GND), .DI26(ipgen_GND),

		.DI27(ipgen_GND), .DI28(ipgen_GND), .DI29(ipgen_GND), .DI30(ipgen_GND),

		.DI31(ipgen_GND), .DI32(ipgen_GND), .DI33(ipgen_GND), .DI34(ipgen_GND),

		.DI35(ipgen_GND), .CSW0(ipgen_VCC), .CSW1(ipgen_VCC), .CSR0(ipgen_VCC),

		.CSR1(ipgen_VCC), .FULLI(Full_int), .EMPTYI(Empty_int), .WE(WrEn), .RE(RdEn),

		.ORE(RdEn),.CLKW(WrClock), .CLKR(RdClock), .RST(Reset), .RPRST(RPReset),

		.DO0(Q[13]), .DO1(), .DO2(), .DO3(), .DO4(), .DO5(), .DO6(), .DO7(),

		.DO8(), .DO9(), .DO10(), .DO11(), .DO12(), .DO13(), .DO14(),

		.DO15(), .DO16(), .DO17(), .DO18(), .DO19(), .DO20(), .DO21(),

		.DO22(), .DO23(), .DO24(), .DO25(), .DO26(), .DO27(), .DO28(),

		.DO29(), .DO30(), .DO31(), .DO32(), .DO33(), .DO34(), .DO35(), 

		.EF(), .AEF(), .AFF(), .FF());



    

		



    defparam fifo_0_14_14.FULLPOINTER1 = "0b01111111111111" ;

    defparam fifo_0_14_14.FULLPOINTER = "0b10000000000000" ;

    defparam fifo_0_14_14.AFPOINTER1 = "0b00000111111101" ;

    defparam fifo_0_14_14.AFPOINTER = "0b00000111111110" ;

    defparam fifo_0_14_14.AEPOINTER1 = "0b00000000001011" ;

    defparam fifo_0_14_14.AEPOINTER = "0b00000000001010" ;

    defparam fifo_0_14_14.ASYNC_RESET_RELEASE = "SYNC" ;

    defparam fifo_0_14_14.GSR = "DISABLED" ;

    defparam fifo_0_14_14.RESETMODE = "ASYNC" ;

    defparam fifo_0_14_14.REGMODE = "NOREG" ;

    defparam fifo_0_14_14.CSDECODE_R = "0b11" ;

    defparam fifo_0_14_14.CSDECODE_W = "0b11" ;

    defparam fifo_0_14_14.DATA_WIDTH_R = 1 ;

    defparam fifo_0_14_14.DATA_WIDTH_W = 1 ;

    xsFIFO8KB fifo_0_14_14  (.DI0(ipgen_GND), .DI1(ipgen_GND), .DI2(ipgen_GND), 

        .DI3(ipgen_GND), .DI4(ipgen_GND), .DI5(ipgen_GND), .DI6(ipgen_GND), 

        .DI7(ipgen_GND), .DI8(ipgen_GND), .DI9(ipgen_GND), .DI10(ipgen_GND), 

        .DI11(Data[14]), .DI12(ipgen_GND), .DI13(ipgen_GND), .DI14(ipgen_GND), 

        .DI15(ipgen_GND), .DI16(ipgen_GND), .DI17(ipgen_GND), .DI18(ipgen_GND),

		.DI19(ipgen_GND), .DI20(ipgen_GND), .DI21(ipgen_GND), .DI22(ipgen_GND),

		.DI23(ipgen_GND), .DI24(ipgen_GND), .DI25(ipgen_GND), .DI26(ipgen_GND),

		.DI27(ipgen_GND), .DI28(ipgen_GND), .DI29(ipgen_GND), .DI30(ipgen_GND),

		.DI31(ipgen_GND), .DI32(ipgen_GND), .DI33(ipgen_GND), .DI34(ipgen_GND),

		.DI35(ipgen_GND), .CSW0(ipgen_VCC), .CSW1(ipgen_VCC), .CSR0(ipgen_VCC),

		.CSR1(ipgen_VCC), .FULLI(Full_int), .EMPTYI(Empty_int), .WE(WrEn), .RE(RdEn),

		.ORE(RdEn),.CLKW(WrClock), .CLKR(RdClock), .RST(Reset), .RPRST(RPReset),

		.DO0(Q[14]), .DO1(), .DO2(), .DO3(), .DO4(), .DO5(), .DO6(), .DO7(),

		.DO8(), .DO9(), .DO10(), .DO11(), .DO12(), .DO13(), .DO14(),

		.DO15(), .DO16(), .DO17(), .DO18(), .DO19(), .DO20(), .DO21(),

		.DO22(), .DO23(), .DO24(), .DO25(), .DO26(), .DO27(), .DO28(),

		.DO29(), .DO30(), .DO31(), .DO32(), .DO33(), .DO34(), .DO35(), 

		.EF(), .AEF(), .AFF(), .FF());



    

		



    defparam fifo_0_15_15.FULLPOINTER1 = "0b01111111111111" ;

    defparam fifo_0_15_15.FULLPOINTER = "0b10000000000000" ;

    defparam fifo_0_15_15.AFPOINTER1 = "0b00000111111101" ;

    defparam fifo_0_15_15.AFPOINTER = "0b00000111111110" ;

    defparam fifo_0_15_15.AEPOINTER1 = "0b00000000001011" ;

    defparam fifo_0_15_15.AEPOINTER = "0b00000000001010" ;

    defparam fifo_0_15_15.ASYNC_RESET_RELEASE = "SYNC" ;

    defparam fifo_0_15_15.GSR = "DISABLED" ;

    defparam fifo_0_15_15.RESETMODE = "ASYNC" ;

    defparam fifo_0_15_15.REGMODE = "NOREG" ;

    defparam fifo_0_15_15.CSDECODE_R = "0b11" ;

    defparam fifo_0_15_15.CSDECODE_W = "0b11" ;

    defparam fifo_0_15_15.DATA_WIDTH_R = 1 ;

    defparam fifo_0_15_15.DATA_WIDTH_W = 1 ;

    xsFIFO8KB fifo_0_15_15  (.DI0(ipgen_GND), .DI1(ipgen_GND), .DI2(ipgen_GND), 

        .DI3(ipgen_GND), .DI4(ipgen_GND), .DI5(ipgen_GND), .DI6(ipgen_GND), 

        .DI7(ipgen_GND), .DI8(ipgen_GND), .DI9(ipgen_GND), .DI10(ipgen_GND), 

        .DI11(Data[15]), .DI12(ipgen_GND), .DI13(ipgen_GND), .DI14(ipgen_GND), 

        .DI15(ipgen_GND), .DI16(ipgen_GND), .DI17(ipgen_GND), .DI18(ipgen_GND),

		.DI19(ipgen_GND), .DI20(ipgen_GND), .DI21(ipgen_GND), .DI22(ipgen_GND),

		.DI23(ipgen_GND), .DI24(ipgen_GND), .DI25(ipgen_GND), .DI26(ipgen_GND),

		.DI27(ipgen_GND), .DI28(ipgen_GND), .DI29(ipgen_GND), .DI30(ipgen_GND),

		.DI31(ipgen_GND), .DI32(ipgen_GND), .DI33(ipgen_GND), .DI34(ipgen_GND),

		.DI35(ipgen_GND), .CSW0(ipgen_VCC), .CSW1(ipgen_VCC), .CSR0(ipgen_VCC),

		.CSR1(ipgen_VCC), .FULLI(Full_int), .EMPTYI(Empty_int), .WE(WrEn), .RE(RdEn),

		.ORE(RdEn),.CLKW(WrClock), .CLKR(RdClock), .RST(Reset), .RPRST(RPReset),

		.DO0(Q[15]), .DO1(), .DO2(), .DO3(), .DO4(), .DO5(), .DO6(), .DO7(),

		.DO8(), .DO9(), .DO10(), .DO11(), .DO12(), .DO13(), .DO14(),

		.DO15(), .DO16(), .DO17(), .DO18(), .DO19(), .DO20(), .DO21(),

		.DO22(), .DO23(), .DO24(), .DO25(), .DO26(), .DO27(), .DO28(),

		.DO29(), .DO30(), .DO31(), .DO32(), .DO33(), .DO34(), .DO35(), 

		.EF(), .AEF(), .AFF(), .FF());



    

		

    assign Empty = Empty_int;
    assign Full = Full_int;
endmodule