module ad7606_driver( Clk,Reset_n,Speed_Set,Dout_A,Dout_B,ad7606_cs_n_o,ad7606_rd_n_o,ad7606_os_o,ad7606_convst_o,ad7606_db15,ad7606_db14_9,ad7606_db6_0,ad7606_frstdata,ad7606_reset_o,data_flag,data_a,data_b,data_1,data_2,data_3,data_4,data_5,data_6,data_7,data_8 );
  // ModuleSymTable
  // Data IDs:
  input    Clk;
  input    Reset_n;
  input   [ 'Sb11000 : 'Sb0 ] Speed_Set;
  input    Dout_A;
  input    Dout_B;
  input    ad7606_frstdata;
  output reg   ad7606_cs_n_o;
  output wire  [ 'Sb10 : 'Sb0 ] ad7606_os_o;
  output reg   ad7606_convst_o;
  output reg   ad7606_rd_n_o;
  output    ad7606_db15;
  output   [ 'Sb100 : 'Sb0 ] ad7606_db14_9;
  output   [ 'Sb110 : 'Sb0 ] ad7606_db6_0;
  output reg   ad7606_reset_o;
  output reg  [ 'Sb1111 : 'Sb0 ] data_a;
  output reg  [ 'Sb1111 : 'Sb0 ] data_b;
  output reg  [ 'Sb111 : 'Sb0 ] data_flag;
  output   [ 'Sb1111 : 'Sb0 ] data_1;
  output   [ 'Sb1111 : 'Sb0 ] data_2;
  output   [ 'Sb1111 : 'Sb0 ] data_3;
  output   [ 'Sb1111 : 'Sb0 ] data_4;
  output   [ 'Sb1111 : 'Sb0 ] data_5;
  output   [ 'Sb1111 : 'Sb0 ] data_6;
  output   [ 'Sb1111 : 'Sb0 ] data_7;
  output   [ 'Sb1111 : 'Sb0 ] data_8;
  reg  [ 'Sb1111 : 'Sb0 ] data1;
  reg  [ 'Sb1111 : 'Sb0 ] data2;
  parameter   DIV_PARAM = 'Sb10;
  reg   SCLK2X;
  reg  [ 'Sb111 : 'Sb0 ] DIV_CNT;
  reg   En;
  reg  [ 'Sb111 : 'Sb0 ] SCLK_CNT;
  reg  [ 'Sb1 : 'Sb0 ] cnt_speed;
  reg  [ 'Sb1 : 'Sb0 ] state;
  reg  [ 'Sb11000 : 'Sb0 ] cnt;
  wire   trig;
  // ModuleItems:
  assign ad7606_db15 = 'Sb0;
  assign ad7606_db14_9 = 'Sb0;
  assign ad7606_db6_0 = 'Sb0;
  assign ad7606_os_o = 'Sb0;
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      SCLK2X <= 1'b0;
    else
      if ( ( DIV_CNT == ( DIV_PARAM - 1'b1 ) ) )
        SCLK2X <= 1'b1;
      else
        SCLK2X <= 1'b0;
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      DIV_CNT <= 8'b0;
    else
      if ( En )
        begin
          if ( ( DIV_CNT == ( DIV_PARAM - 1'b1 ) ) )
            DIV_CNT <= 8'b0;
          else
            DIV_CNT <= ( DIV_CNT + 1'b1 );
        end
      else
        DIV_CNT <= 8'b0;
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      SCLK_CNT <= 8'b0;
    else
      if ( SCLK2X )
        begin
          if ( ( SCLK_CNT == 8'b10000010 ) )
            SCLK_CNT <= 8'b0;
          else
            if ( En )
              begin
                SCLK_CNT <= ( SCLK_CNT + 1'b1 );
              end
        end
      else
        SCLK_CNT <= SCLK_CNT;
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      cnt <= 'Sb0;
    else
      if ( ( cnt == Speed_Set ) )
        cnt <= 'Sb0;
      else
        if ( ( !En ) )
          begin
            cnt <= ( cnt + 1'b1 );
          end
  assign trig = ( cnt == Speed_Set );
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      begin
        state <= 'Sb0;
        En <= 'Sb0;
      end
    else
      begin
        case( state )

          'Sb0 : 
            if ( trig )
              begin
                state <= 'Sb1;
                En <= 'Sb1;
              end
          'Sb1 : 
            if ( ( SCLK_CNT == 8'b10000010 ) )
              begin
                state <= 'Sb0;
                En <= 'Sb0;
              end
          default :  ;
        endcase
      end
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      data_flag <= 'Sb0;
    else
      begin
        data_flag[ 'Sb0 ] <= ( SCLK_CNT == 'Sb10000010 );
        data_flag[ 'Sb1 ] <= ( SCLK_CNT == 'Sb100011 );
        data_flag[ 'Sb10 ] <= ( SCLK_CNT == 'Sb1000011 );
        data_flag[ 'Sb11 ] <= ( SCLK_CNT == 'Sb1100011 );
        data_flag[ 'Sb100 ] <= ( SCLK_CNT == 'Sb10000010 );
        data_flag[ 'Sb101 ] <= ( SCLK_CNT == 'Sb100011 );
        data_flag[ 'Sb110 ] <= ( SCLK_CNT == 'Sb1000011 );
        data_flag[ 'Sb111 ] <= ( SCLK_CNT == 'Sb1100011 );
      end
  assign data_1 = ( ( SCLK_CNT == 'Sb10000010 ) ? data_a : data_1 );
  assign data_2 = ( ( SCLK_CNT == 'Sb100011 ) ? data_a : data_2 );
  assign data_3 = ( ( SCLK_CNT == 'Sb1000011 ) ? data_a : data_3 );
  assign data_4 = ( ( SCLK_CNT == 'Sb1100011 ) ? data_a : data_4 );
  assign data_5 = ( ( SCLK_CNT == 'Sb10000010 ) ? data_b : data_5 );
  assign data_6 = ( ( SCLK_CNT == 'Sb100011 ) ? data_b : data_6 );
  assign data_7 = ( ( SCLK_CNT == 'Sb1000011 ) ? data_b : data_7 );
  assign data_8 = ( ( SCLK_CNT == 'Sb1100011 ) ? data_b : data_8 );
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      begin
        ad7606_cs_n_o <= 'Sb1;
        data_a <= 16'b0;
        data_b <= 16'b0;
        ad7606_convst_o <= 'Sb1;
        ad7606_reset_o <= 'Sb0;
        data1 <= 'Sb0;
        data2 <= 'Sb0;
      end
    else
      begin
        case( SCLK_CNT )

          'Sb0 : 
            begin
              ad7606_cs_n_o <= 'Sb1;
              data_a <= data_a;
              data_b <= data_b;
              ad7606_convst_o <= 'Sb0;
              ad7606_rd_n_o <= 'Sb1;
            end
          'Sb1 : 
            begin
              ad7606_convst_o <= 'Sb1;
              ad7606_cs_n_o <= 'Sb0;
              ad7606_rd_n_o <= 'Sb1;
            end
          'Sb10 : 
            begin
              ad7606_rd_n_o <= 'Sb1;
              ad7606_cs_n_o <= 'Sb0;
            end
          'Sb100,'Sb100100,'Sb1000100,'Sb1100100,'Sb110,'Sb100110,'Sb1000110,'Sb1100110,'Sb1000,'Sb101000,'Sb1001000,'Sb1101000,'Sb1010,'Sb101010,'Sb1001010,'Sb1101010,'Sb1100,'Sb101100,'Sb1001100,'Sb1101100,'Sb1110,'Sb101110,'Sb1001110,'Sb1101110,'Sb10000,'Sb110000,'Sb1010000,'Sb1110000,'Sb10010,'Sb110010,'Sb1010010,'Sb1110010,'Sb10100,'Sb110100,'Sb1010100,'Sb1110100,'Sb10110,'Sb110110,'Sb1010110,'Sb1110110,'Sb11000,'Sb111000,'Sb1011000,'Sb1111000,'Sb11010,'Sb111010,'Sb1011010,'Sb1111010,'Sb11100,'Sb111100,'Sb1011100,'Sb1111100,'Sb11110,'Sb111110,'Sb1011110,'Sb1111110,'Sb100000,'Sb1000000,'Sb1100000,'Sb10000000 : 
            begin
              ad7606_rd_n_o <= 'Sb1;
            end
          'Sb11,'Sb100011,'Sb1000011,'Sb1100011 : 
            begin
              data1[ 'Sb1111 ] <= Dout_A;
              data2[ 'Sb1111 ] <= Dout_B;
              ad7606_rd_n_o <= 'Sb0;
            end
          'Sb101,'Sb100101,'Sb1000101,'Sb1100101 : 
            begin
              data1[ 'Sb1110 ] <= Dout_A;
              data2[ 'Sb1110 ] <= Dout_B;
              ad7606_rd_n_o <= 'Sb0;
            end
          'Sb111,'Sb100111,'Sb1000111,'Sb1100111 : 
            begin
              data1[ 'Sb1101 ] <= Dout_A;
              data2[ 'Sb1101 ] <= Dout_B;
              ad7606_rd_n_o <= 'Sb0;
            end
          'Sb1001,'Sb101001,'Sb1001001,'Sb1101001 : 
            begin
              data1[ 'Sb1100 ] <= Dout_A;
              data2[ 'Sb1100 ] <= Dout_B;
              ad7606_rd_n_o <= 'Sb0;
            end
          'Sb1011,'Sb101011,'Sb1001011,'Sb1101011 : 
            begin
              data1[ 'Sb1011 ] <= Dout_A;
              data2[ 'Sb1011 ] <= Dout_B;
              ad7606_rd_n_o <= 'Sb0;
            end
          'Sb1101,'Sb101101,'Sb1001101,'Sb1101101 : 
            begin
              data1[ 'Sb1010 ] <= Dout_A;
              data2[ 'Sb1010 ] <= Dout_B;
              ad7606_rd_n_o <= 'Sb0;
            end
          'Sb1111,'Sb101111,'Sb1001111,'Sb1101111 : 
            begin
              data1[ 'Sb1001 ] <= Dout_A;
              data2[ 'Sb1001 ] <= Dout_B;
              ad7606_rd_n_o <= 'Sb0;
            end
          'Sb10001,'Sb110001,'Sb1010001,'Sb1110001 : 
            begin
              data1[ 'Sb1000 ] <= Dout_A;
              data2[ 'Sb1000 ] <= Dout_B;
              ad7606_rd_n_o <= 'Sb0;
            end
          'Sb10011,'Sb110011,'Sb1010011,'Sb1110011 : 
            begin
              data1[ 'Sb111 ] <= Dout_A;
              data2[ 'Sb111 ] <= Dout_B;
              ad7606_rd_n_o <= 'Sb0;
            end
          'Sb10101,'Sb110101,'Sb1010101,'Sb1110101 : 
            begin
              data1[ 'Sb110 ] <= Dout_A;
              data2[ 'Sb110 ] <= Dout_B;
              ad7606_rd_n_o <= 'Sb0;
            end
          'Sb10111,'Sb110111,'Sb1010111,'Sb1110111 : 
            begin
              data1[ 'Sb101 ] <= Dout_A;
              data2[ 'Sb101 ] <= Dout_B;
              ad7606_rd_n_o <= 'Sb0;
            end
          'Sb11001,'Sb111001,'Sb1011001,'Sb1111001 : 
            begin
              data1[ 'Sb100 ] <= Dout_A;
              data2[ 'Sb100 ] <= Dout_B;
              ad7606_rd_n_o <= 'Sb0;
            end
          'Sb11011,'Sb111011,'Sb1011011,'Sb1111011 : 
            begin
              data1[ 'Sb11 ] <= Dout_A;
              data2[ 'Sb11 ] <= Dout_B;
              ad7606_rd_n_o <= 'Sb0;
            end
          'Sb11101,'Sb111101,'Sb1011101,'Sb1111101 : 
            begin
              data1[ 'Sb10 ] <= Dout_A;
              data2[ 'Sb10 ] <= Dout_B;
              ad7606_rd_n_o <= 'Sb0;
            end
          'Sb11111,'Sb111111,'Sb1011111,'Sb1111111 : 
            begin
              data1[ 'Sb1 ] <= Dout_A;
              data2[ 'Sb1 ] <= Dout_B;
              ad7606_rd_n_o <= 'Sb0;
            end
          'Sb100001,'Sb1000001,'Sb1100001,'Sb10000001 : 
            begin
              data1[ 'Sb0 ] <= Dout_A;
              data2[ 'Sb0 ] <= Dout_B;
              ad7606_rd_n_o <= 'Sb0;
            end
          'Sb100010,'Sb1000010,'Sb1100010,'Sb10000010 : 
            begin
              data_a <= data1;
              data_b <= data2;
              ad7606_rd_n_o <= 'Sb1;
            end
          default : 
            begin
              ad7606_cs_n_o <= 'Sb1;
              data_a <= data_a;
              data_b <= data_b;
              ad7606_convst_o <= 'Sb1;
              ad7606_reset_o <= 'Sb0;
              data1 <= data1;
              data2 <= data2;
            end
        endcase
      end
endmodule

module adc_write_ctrl( Clk,Reset_n,DataNum,RestartReq,ChannelSel,fifowrreq,fifowrdata,fifowrfull,adc_data_flag,data_a,data_b );
  // ModuleSymTable
  // Data IDs:
  input wire   Clk;
  input wire   Reset_n;
  input wire  [ 32'Sb00000000000000000000000000001110 : 32'Sb00000000000000000000000000000000 ] DataNum;
  input wire   RestartReq;
  input wire  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] ChannelSel;
  output reg   fifowrreq;
  output reg  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] fifowrdata;
  input wire   fifowrfull;
  input wire  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] adc_data_flag;
  input wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_a;
  input wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_b;
  reg   sample_en;
  reg  [ 32'Sb00000000000000000000000000001110 : 32'Sb00000000000000000000000000000000 ] data_cnt;
  // ModuleItems:
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      sample_en <= 1'b0;
    else
      if ( RestartReq )
        sample_en <= 1'b1;
      else
        if ( ( data_cnt >= DataNum ) )
          sample_en <= 1'b0;
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      data_cnt <= 15'b000000000000000;
    else
      if ( sample_en )
        begin
          if ( ( adc_data_flag & ChannelSel ) )
            data_cnt <= ( data_cnt + 15'b000000000000001 );
          else
            data_cnt <= data_cnt;
        end
      else
        data_cnt <= 15'b000000000000000;
  always @( posedge Clk )
    fifowrreq <= ( ( adc_data_flag & ChannelSel ) && sample_en );
  always @( posedge Clk )
    if ( ( ChannelSel == 32'b00000000000000000000000000000000 ) )
      begin
        fifowrdata <= data_cnt;
      end
    else
      if ( ( ChannelSel >= 32'b00000000000000000000000000010000 ) )
        fifowrdata <= data_b;
      else
        fifowrdata <= data_a;
endmodule

module cmd_ctrl( Clk,Reset_n,cmd_data,cmd_addr,cmdvalid,RestartReq,ChannelSel,DataNum,ADC_Speed_Set,DataNum__INS_cmd_ctrl__INS,ADC_Speed_Set__INS_cmd_ctrl__INS,ChannelSel__INS_cmd_ctrl__INS,Reset_n__INS_cmd_ctrl__INS,cmdvalid__INS_cmd_ctrl__INS,RestartReq__INS_cmd_ctrl__INS,clk50M );
  // ModuleSymTable
  // Data IDs:
  output reg  [ 31 : 0 ] ADC_Speed_Set__INS_cmd_ctrl__INS;
  output reg  [ 7 : 0 ] ChannelSel__INS_cmd_ctrl__INS;
  output reg  [ 15 : 0 ] DataNum__INS_cmd_ctrl__INS;
  output reg   Reset_n__INS_cmd_ctrl__INS;
  output reg   RestartReq__INS_cmd_ctrl__INS;
  input    clk50M;
  output reg   cmdvalid__INS_cmd_ctrl__INS;
  input wire   Clk;
  input wire   Reset_n;
  input wire  [ 32'Sb00000000000000000000000000011111 : 32'Sb00000000000000000000000000000000 ] cmd_data;
  input wire  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] cmd_addr;
  input wire   cmdvalid;
  output reg   RestartReq;
  output reg  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] ChannelSel;
  output reg  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] DataNum;
  output reg  [ 32'Sb00000000000000000000000000011111 : 32'Sb00000000000000000000000000000000 ] ADC_Speed_Set;
  // ModuleItems:
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      begin
        ChannelSel <= 8'b11111111;
        DataNum <= 16'b0000000000100000;
        ADC_Speed_Set <= 32'b00000000000000000000000000000000;
        RestartReq <= 1'b0;
      end
    else
      if ( cmdvalid )
        begin
          case( cmd_addr )

            8'Sb00000000 : 
              RestartReq <= 1'b1;
            8'Sb00000001 : 
              ChannelSel <= cmd_data[ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ];
            8'Sb00000010 : 
              DataNum <= cmd_data[ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ];
            8'Sb00000011 : 
              ADC_Speed_Set <= cmd_data;
            8'Sb00000100 : 
              begin
                ChannelSel <= cmd_data[ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ];
                DataNum <= cmd_data[ 32'Sb00000000000000000000000000010111 : 32'Sb00000000000000000000000000001000 ];
                RestartReq <= 1'b1;
              end
            default :  ;
          endcase
        end
      else
        RestartReq <= 1'b0;
  always @( posedge clk50M )
    begin
      DataNum__INS_cmd_ctrl__INS <= DataNum;
      ADC_Speed_Set__INS_cmd_ctrl__INS <= ADC_Speed_Set;
      ChannelSel__INS_cmd_ctrl__INS <= ChannelSel;
      Reset_n__INS_cmd_ctrl__INS <= Reset_n;
      cmdvalid__INS_cmd_ctrl__INS <= cmdvalid;
      RestartReq__INS_cmd_ctrl__INS <= RestartReq;
    end
endmodule

module uart_byte_rx( Clk,Reset_n,Baud_Set,uart_rx,Data,Rx_Done,Data__INS_uart_byte_rx__INS,uart_rx__INS_uart_byte_rx__INS,Baud_Set__INS_uart_byte_rx__INS,Rx_Done__INS_uart_byte_rx__INS,Reset_n__INS_uart_byte_rx__INS,clk50M );
  // ModuleSymTable
  // Data IDs:
  output reg  [ 2 : 0 ] Baud_Set__INS_uart_byte_rx__INS;
  output reg  [ 7 : 0 ] Data__INS_uart_byte_rx__INS;
  output reg   Reset_n__INS_uart_byte_rx__INS;
  output reg   Rx_Done__INS_uart_byte_rx__INS;
  input    clk50M;
  output reg   uart_rx__INS_uart_byte_rx__INS;
  input wire   Clk;
  input wire   Reset_n;
  input wire  [ 32'Sb00000000000000000000000000000010 : 32'Sb00000000000000000000000000000000 ] Baud_Set;
  input wire   uart_rx;
  output reg  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] Data;
  output reg   Rx_Done;
  reg  [ 32'Sb00000000000000000000000000000001 : 32'Sb00000000000000000000000000000000 ] uart_rx_r;
  wire   nedge_uart_rx;
  reg  [ 32'Sb00000000000000000000000000001000 : 32'Sb00000000000000000000000000000000 ] div_cnt;
  reg  [ 32'Sb00000000000000000000000000000010 : 32'Sb00000000000000000000000000000000 ] r_data[ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ];
  reg  [ 32'Sb00000000000000000000000000000010 : 32'Sb00000000000000000000000000000000 ] sta_bit;
  reg  [ 32'Sb00000000000000000000000000000010 : 32'Sb00000000000000000000000000000000 ] sto_bit;
  reg  [ 32'Sb00000000000000000000000000001000 : 32'Sb00000000000000000000000000000000 ] Bps_DR;
  wire   bps_clk_16x;
  reg   RX_EN;
  reg  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] bps_cnt;
  // ModuleItems:
  always @( posedge Clk )
    begin
      uart_rx_r[ 32'Sb00000000000000000000000000000000 ] <= uart_rx;
      uart_rx_r[ 32'Sb00000000000000000000000000000001 ] <= uart_rx_r[ 32'Sb00000000000000000000000000000000 ];
    end
  assign nedge_uart_rx = ( uart_rx_r == 2'b10 );
  always @( * )
    case( Baud_Set )

      4'Sb0000 : 
        Bps_DR = 32'Sb00000000000000000000000101000011;
      4'Sb0001 : 
        Bps_DR = 32'Sb00000000000000000000000010100000;
      4'Sb0010 : 
        Bps_DR = 32'Sb00000000000000000000000001001111;
      4'Sb0011 : 
        Bps_DR = 32'Sb00000000000000000000000000110100;
      4'Sb0100 : 
        Bps_DR = 32'Sb00000000000000000000000000011001;
      default : 
        Bps_DR = 32'Sb00000000000000000000000101000011;
    endcase
  assign bps_clk_16x = ( div_cnt == ( Bps_DR / 32'b00000000000000000000000000000010 ) );
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      RX_EN <= 32'Sb00000000000000000000000000000000;
    else
      if ( nedge_uart_rx )
        RX_EN <= 32'Sb00000000000000000000000000000001;
      else
        if ( ( Rx_Done || ( sta_bit >= 32'b00000000000000000000000000000100 ) ) )
          RX_EN <= 32'Sb00000000000000000000000000000000;
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      div_cnt <= 32'Sb00000000000000000000000000000000;
    else
      if ( RX_EN )
        begin
          if ( ( div_cnt == Bps_DR ) )
            div_cnt <= 32'Sb00000000000000000000000000000000;
          else
            div_cnt <= ( div_cnt + 9'b000000001 );
        end
      else
        div_cnt <= 32'Sb00000000000000000000000000000000;
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      bps_cnt <= 32'Sb00000000000000000000000000000000;
    else
      if ( RX_EN )
        begin
          if ( bps_clk_16x )
            begin
              if ( ( bps_cnt == 32'b00000000000000000000000010100000 ) )
                bps_cnt <= 32'Sb00000000000000000000000000000000;
              else
                bps_cnt <= ( bps_cnt + 8'b00000001 );
            end
          else
            bps_cnt <= bps_cnt;
        end
      else
        bps_cnt <= 32'Sb00000000000000000000000000000000;
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      begin
        sta_bit <= 32'Sb00000000000000000000000000000000;
        sto_bit <= 32'Sb00000000000000000000000000000000;
        r_data[32'Sb00000000000000000000000000000000] <= 32'Sb00000000000000000000000000000000;
        r_data[32'Sb00000000000000000000000000000001] <= 32'Sb00000000000000000000000000000000;
        r_data[32'Sb00000000000000000000000000000010] <= 32'Sb00000000000000000000000000000000;
        r_data[32'Sb00000000000000000000000000000011] <= 32'Sb00000000000000000000000000000000;
        r_data[32'Sb00000000000000000000000000000100] <= 32'Sb00000000000000000000000000000000;
        r_data[32'Sb00000000000000000000000000000101] <= 32'Sb00000000000000000000000000000000;
        r_data[32'Sb00000000000000000000000000000110] <= 32'Sb00000000000000000000000000000000;
        r_data[32'Sb00000000000000000000000000000111] <= 32'Sb00000000000000000000000000000000;
      end
    else
      if ( bps_clk_16x )
        begin
          case( bps_cnt )

            9'Sb000000000 : 
              begin
                sta_bit <= 32'Sb00000000000000000000000000000000;
                sto_bit <= 32'Sb00000000000000000000000000000000;
                r_data[32'Sb00000000000000000000000000000000] <= 32'Sb00000000000000000000000000000000;
                r_data[32'Sb00000000000000000000000000000001] <= 32'Sb00000000000000000000000000000000;
                r_data[32'Sb00000000000000000000000000000010] <= 32'Sb00000000000000000000000000000000;
                r_data[32'Sb00000000000000000000000000000011] <= 32'Sb00000000000000000000000000000000;
                r_data[32'Sb00000000000000000000000000000100] <= 32'Sb00000000000000000000000000000000;
                r_data[32'Sb00000000000000000000000000000101] <= 32'Sb00000000000000000000000000000000;
                r_data[32'Sb00000000000000000000000000000110] <= 32'Sb00000000000000000000000000000000;
                r_data[32'Sb00000000000000000000000000000111] <= 32'Sb00000000000000000000000000000000;
              end
            9'Sb000000101,9'Sb000000110,9'Sb000000111,9'Sb000001000,9'Sb000001001,9'Sb000001010,9'Sb000001011 : 
              sta_bit <= ( sta_bit + uart_rx );
            9'Sb000010101,9'Sb000010110,9'Sb000010111,9'Sb000011000,9'Sb000011001,9'Sb000011010,9'Sb000011011 : 
              r_data[32'Sb00000000000000000000000000000000] <= ( r_data[32'Sb00000000000000000000000000000000] + uart_rx );
            9'Sb000100101,9'Sb000100110,9'Sb000100111,9'Sb000101000,9'Sb000101001,9'Sb000101010,9'Sb000101011 : 
              r_data[32'Sb00000000000000000000000000000001] <= ( r_data[32'Sb00000000000000000000000000000001] + uart_rx );
            9'Sb000110101,9'Sb000110110,9'Sb000110111,9'Sb000111000,9'Sb000111001,9'Sb000111010,9'Sb000111011 : 
              r_data[32'Sb00000000000000000000000000000010] <= ( r_data[32'Sb00000000000000000000000000000010] + uart_rx );
            9'Sb001000101,9'Sb001000110,9'Sb001000111,9'Sb001001000,9'Sb001001001,9'Sb001001010,9'Sb001001011 : 
              r_data[32'Sb00000000000000000000000000000011] <= ( r_data[32'Sb00000000000000000000000000000011] + uart_rx );
            9'Sb001010101,9'Sb001010110,9'Sb001010111,9'Sb001011000,9'Sb001011001,9'Sb001011010,9'Sb001011011 : 
              r_data[32'Sb00000000000000000000000000000100] <= ( r_data[32'Sb00000000000000000000000000000100] + uart_rx );
            9'Sb001100101,9'Sb001100110,9'Sb001100111,9'Sb001101000,9'Sb001101001,9'Sb001101010,9'Sb001101011 : 
              r_data[32'Sb00000000000000000000000000000101] <= ( r_data[32'Sb00000000000000000000000000000101] + uart_rx );
            9'Sb001110101,9'Sb001110110,9'Sb001110111,9'Sb001111000,9'Sb001111001,9'Sb001111010,9'Sb001111011 : 
              r_data[32'Sb00000000000000000000000000000110] <= ( r_data[32'Sb00000000000000000000000000000110] + uart_rx );
            9'Sb010000101,9'Sb010000110,9'Sb010000111,9'Sb010001000,9'Sb010001001,9'Sb010001010,9'Sb010001011 : 
              r_data[32'Sb00000000000000000000000000000111] <= ( r_data[32'Sb00000000000000000000000000000111] + uart_rx );
            9'Sb010010101,9'Sb010010110,9'Sb010010111,9'Sb010011000,9'Sb010011001,9'Sb010011010,9'Sb010011011 : 
              sto_bit <= ( sto_bit + uart_rx );
            default :  ;
          endcase
        end
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      Data <= 32'Sb00000000000000000000000000000000;
    else
      if ( ( bps_clk_16x && ( bps_cnt == 32'b00000000000000000000000010011111 ) ) )
        begin
          Data[ 32'Sb00000000000000000000000000000000 ] <= ( ( r_data[32'Sb00000000000000000000000000000000] >= 32'b00000000000000000000000000000100 ) ? 1'b1 : 1'b0 );
          Data[ 32'Sb00000000000000000000000000000001 ] <= ( ( r_data[32'Sb00000000000000000000000000000001] >= 32'b00000000000000000000000000000100 ) ? 1'b1 : 1'b0 );
          Data[ 32'Sb00000000000000000000000000000010 ] <= ( ( r_data[32'Sb00000000000000000000000000000010] >= 32'b00000000000000000000000000000100 ) ? 1'b1 : 1'b0 );
          Data[ 32'Sb00000000000000000000000000000011 ] <= ( ( r_data[32'Sb00000000000000000000000000000011] >= 32'b00000000000000000000000000000100 ) ? 1'b1 : 1'b0 );
          Data[ 32'Sb00000000000000000000000000000100 ] <= ( ( r_data[32'Sb00000000000000000000000000000100] >= 32'b00000000000000000000000000000100 ) ? 1'b1 : 1'b0 );
          Data[ 32'Sb00000000000000000000000000000101 ] <= ( ( r_data[32'Sb00000000000000000000000000000101] >= 32'b00000000000000000000000000000100 ) ? 1'b1 : 1'b0 );
          Data[ 32'Sb00000000000000000000000000000110 ] <= ( ( r_data[32'Sb00000000000000000000000000000110] >= 32'b00000000000000000000000000000100 ) ? 1'b1 : 1'b0 );
          Data[ 32'Sb00000000000000000000000000000111 ] <= ( ( r_data[32'Sb00000000000000000000000000000111] >= 32'b00000000000000000000000000000100 ) ? 1'b1 : 1'b0 );
        end
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      Rx_Done <= 32'Sb00000000000000000000000000000000;
    else
      if ( ( ( div_cnt == ( Bps_DR / 32'b00000000000000000000000000000010 ) ) && ( bps_cnt == 32'b00000000000000000000000010100000 ) ) )
        Rx_Done <= 32'Sb00000000000000000000000000000001;
      else
        Rx_Done <= 32'Sb00000000000000000000000000000000;
  always @( posedge clk50M )
    begin
      Data__INS_uart_byte_rx__INS <= Data;
      uart_rx__INS_uart_byte_rx__INS <= uart_rx;
      Baud_Set__INS_uart_byte_rx__INS <= Baud_Set;
      Rx_Done__INS_uart_byte_rx__INS <= Rx_Done;
      Reset_n__INS_uart_byte_rx__INS <= Reset_n;
    end
endmodule

module uart_byte_tx( Clk,Rst_n,data_byte,send_en,baud_set,Rs232_Tx,Tx_Done,uart_state );
  // ModuleSymTable
  // Data IDs:
  input wire   Clk;
  input wire   Rst_n;
  input wire  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] data_byte;
  input wire   send_en;
  input wire  [ 32'Sb00000000000000000000000000000010 : 32'Sb00000000000000000000000000000000 ] baud_set;
  output reg   Rs232_Tx;
  output reg   Tx_Done;
  output reg   uart_state;
  reg   bps_clk;
  reg  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] div_cnt;
  reg  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] bps_DR;
  reg  [ 32'Sb00000000000000000000000000000011 : 32'Sb00000000000000000000000000000000 ] bps_cnt;
  reg  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] r_data_byte;
  localparam   START_BIT = 1'b0;
  localparam   STOP_BIT = 1'b1;
  // ModuleItems:
  always @( posedge Clk or negedge Rst_n )
    if ( ( !Rst_n ) )
      uart_state <= 1'b0;
    else
      if ( send_en )
        uart_state <= 1'b1;
      else
        if ( ( bps_cnt == 4'b1011 ) )
          uart_state <= 1'b0;
        else
          uart_state <= uart_state;
  always @( posedge Clk or negedge Rst_n )
    if ( ( !Rst_n ) )
      r_data_byte <= 8'b00000000;
    else
      if ( send_en )
        r_data_byte <= data_byte;
      else
        r_data_byte <= r_data_byte;
  always @( posedge Clk or negedge Rst_n )
    if ( ( !Rst_n ) )
      bps_DR <= 16'b0001010001010111;
    else
      begin
        case( baud_set )

          4'Sb0000 : 
            bps_DR <= 16'b0001010001010111;
          4'Sb0001 : 
            bps_DR <= 16'b0000101000101011;
          4'Sb0010 : 
            bps_DR <= 16'b0000010100010101;
          4'Sb0011 : 
            bps_DR <= 16'b0000001101100011;
          4'Sb0100 : 
            bps_DR <= 16'b0000000110110001;
          default : 
            bps_DR <= 16'b0001010001010111;
        endcase
      end
  always @( posedge Clk or negedge Rst_n )
    if ( ( !Rst_n ) )
      div_cnt <= 16'b0000000000000000;
    else
      if ( uart_state )
        begin
          if ( ( div_cnt == bps_DR ) )
            div_cnt <= 16'b0000000000000000;
          else
            div_cnt <= ( div_cnt + 16'b0000000000000001 );
        end
      else
        div_cnt <= 16'b0000000000000000;
  always @( posedge Clk or negedge Rst_n )
    if ( ( !Rst_n ) )
      bps_clk <= 1'b0;
    else
      if ( ( div_cnt == 16'b0000000000000001 ) )
        bps_clk <= 1'b1;
      else
        bps_clk <= 1'b0;
  always @( posedge Clk or negedge Rst_n )
    if ( ( !Rst_n ) )
      bps_cnt <= 4'b0000;
    else
      if ( ( bps_cnt == 4'b1011 ) )
        bps_cnt <= 4'b0000;
      else
        if ( bps_clk )
          bps_cnt <= ( bps_cnt + 4'b0001 );
        else
          bps_cnt <= bps_cnt;
  always @( posedge Clk or negedge Rst_n )
    if ( ( !Rst_n ) )
      Tx_Done <= 1'b0;
    else
      if ( ( bps_cnt == 4'b1011 ) )
        Tx_Done <= 1'b1;
      else
        Tx_Done <= 1'b0;
  always @( posedge Clk or negedge Rst_n )
    if ( ( !Rst_n ) )
      Rs232_Tx <= 1'b1;
    else
      begin
        case( bps_cnt )

          5'Sb00000 : 
            Rs232_Tx <= 1'b1;
          5'Sb00001 : 
            Rs232_Tx <= 1'b0;
          5'Sb00010 : 
            Rs232_Tx <= r_data_byte[ 32'Sb00000000000000000000000000000000 ];
          5'Sb00011 : 
            Rs232_Tx <= r_data_byte[ 32'Sb00000000000000000000000000000001 ];
          5'Sb00100 : 
            Rs232_Tx <= r_data_byte[ 32'Sb00000000000000000000000000000010 ];
          5'Sb00101 : 
            Rs232_Tx <= r_data_byte[ 32'Sb00000000000000000000000000000011 ];
          5'Sb00110 : 
            Rs232_Tx <= r_data_byte[ 32'Sb00000000000000000000000000000100 ];
          5'Sb00111 : 
            Rs232_Tx <= r_data_byte[ 32'Sb00000000000000000000000000000101 ];
          5'Sb01000 : 
            Rs232_Tx <= r_data_byte[ 32'Sb00000000000000000000000000000110 ];
          5'Sb01001 : 
            Rs232_Tx <= r_data_byte[ 32'Sb00000000000000000000000000000111 ];
          5'Sb01010 : 
            Rs232_Tx <= 1'b1;
          default : 
            Rs232_Tx <= 1'b1;
        endcase
      end
endmodule

module uart_cmd( Clk,Reset_n,rx_data,rx_done,address,data,cmdvalid,rx_data__INS_uart_cmd__INS,rx_done__INS_uart_cmd__INS,clk50M );
  // ModuleSymTable
  // Data IDs:
  input    clk50M;
  output reg  [ 7 : 0 ] rx_data__INS_uart_cmd__INS;
  output reg   rx_done__INS_uart_cmd__INS;
  input wire   Clk;
  input wire   Reset_n;
  input wire  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] rx_data;
  input wire   rx_done;
  output reg  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] address;
  output reg  [ 32'Sb00000000000000000000000000011111 : 32'Sb00000000000000000000000000000000 ] data;
  output reg   cmdvalid;
  reg  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] data_str[ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ];
  reg   r_rx_done;
  // ModuleItems:
  always @( posedge Clk )
    if ( rx_done )
      begin
        data_str[32'Sb00000000000000000000000000000111] <= rx_data;
        data_str[32'Sb00000000000000000000000000000110] <= data_str[32'Sb00000000000000000000000000000111];
        data_str[32'Sb00000000000000000000000000000101] <= data_str[32'Sb00000000000000000000000000000110];
        data_str[32'Sb00000000000000000000000000000100] <= data_str[32'Sb00000000000000000000000000000101];
        data_str[32'Sb00000000000000000000000000000011] <= data_str[32'Sb00000000000000000000000000000100];
        data_str[32'Sb00000000000000000000000000000010] <= data_str[32'Sb00000000000000000000000000000011];
        data_str[32'Sb00000000000000000000000000000001] <= data_str[32'Sb00000000000000000000000000000010];
        data_str[32'Sb00000000000000000000000000000000] <= data_str[32'Sb00000000000000000000000000000001];
      end
  always @( posedge Clk )
    r_rx_done <= rx_done;
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      begin
        address <= 32'Sb00000000000000000000000000000000;
        data <= 32'Sb00000000000000000000000000000000;
        cmdvalid <= 32'Sb00000000000000000000000000000000;
      end
    else
      if ( r_rx_done )
        begin
          if ( ( ( ( data_str[32'Sb00000000000000000000000000000000] == 8'b01010101 ) && ( data_str[32'Sb00000000000000000000000000000001] == 8'b10100101 ) ) && ( data_str[32'Sb00000000000000000000000000000111] == 8'b11110000 ) ) )
            begin
              data[ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] <= data_str[32'Sb00000000000000000000000000000110];
              data[ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000001000 ] <= data_str[32'Sb00000000000000000000000000000101];
              data[ 32'Sb00000000000000000000000000010111 : 32'Sb00000000000000000000000000010000 ] <= data_str[32'Sb00000000000000000000000000000100];
              data[ 32'Sb00000000000000000000000000011111 : 32'Sb00000000000000000000000000011000 ] <= data_str[32'Sb00000000000000000000000000000011];
              address <= data_str[32'Sb00000000000000000000000000000010];
              cmdvalid <= 32'Sb00000000000000000000000000000001;
            end
        end
      else
        cmdvalid <= 32'Sb00000000000000000000000000000000;
  always @( posedge clk50M )
    begin
      rx_data__INS_uart_cmd__INS <= rx_data;
      rx_done__INS_uart_cmd__INS <= rx_done;
    end
endmodule

module uart_send_ctrl( Clk,Reset_n,uart_tx_data,uart_send_en,uart_tx_done,fifordempty,fifordreq,fiforddata );
  // ModuleSymTable
  // Data IDs:
  input wire   Clk;
  input wire   Reset_n;
  output reg  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] uart_tx_data;
  output reg   uart_send_en;
  input wire   uart_tx_done;
  input wire   fifordempty;
  output reg   fifordreq;
  input wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] fiforddata;
  reg  [ 32'Sb00000000000000000000000000000010 : 32'Sb00000000000000000000000000000000 ] state;
  // ModuleItems:
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      begin
        state <= 32'Sb00000000000000000000000000000000;
        fifordreq <= 1'b0;
      end
    else
      begin
        case( state )

          4'Sb0000 : 
            if ( ( !fifordempty ) )
              begin
                state <= 32'Sb00000000000000000000000000000001;
                fifordreq <= 1'b1;
              end
            else
              begin
                state <= 32'Sb00000000000000000000000000000000;
                fifordreq <= 1'b0;
              end
          4'Sb0001 : 
            begin
              fifordreq <= 1'b0;
              state <= 32'Sb00000000000000000000000000000010;
            end
          4'Sb0010 : 
            begin
              state <= 32'Sb00000000000000000000000000000011;
            end
          4'Sb0011 : 
            begin
              state <= 32'Sb00000000000000000000000000000100;
              uart_send_en <= 1'b1;
              uart_tx_data <= fiforddata[ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ];
            end
          4'Sb0100 : 
            begin
              if ( uart_tx_done )
                state <= 32'Sb00000000000000000000000000000101;
              else
                state <= 32'Sb00000000000000000000000000000100;
              uart_send_en <= 1'b0;
            end
          4'Sb0101 : 
            begin
              state <= 32'Sb00000000000000000000000000000110;
              uart_send_en <= 1'b1;
              uart_tx_data <= fiforddata[ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000001000 ];
            end
          4'Sb0110 : 
            begin
              if ( uart_tx_done )
                state <= 32'Sb00000000000000000000000000000000;
              else
                state <= 32'Sb00000000000000000000000000000110;
              uart_send_en <= 1'b0;
            end
          default : 
            begin
              state <= 32'Sb00000000000000000000000000000000;
              uart_send_en <= 1'b0;
              fifordreq <= 1'b0;
            end
        endcase
      end
endmodule

module FIFO( Data,WrClock,RdClock,WrEn,RdEn,Reset,RPReset,Q,Empty,Full,AlmostEmpty,AlmostFull,Q__INS_FIFO__INS,Data__INS_FIFO__INS,Empty__INS_FIFO__INS,WrEn__INS_FIFO__INS,RdEn__INS_FIFO__INS,clk50M );
  // ModuleSymTable
  // Data IDs:
  output reg  [ 15 : 0 ] Data__INS_FIFO__INS;
  output reg   Empty__INS_FIFO__INS;
  output reg  [ 15 : 0 ] Q__INS_FIFO__INS;
  output reg   RdEn__INS_FIFO__INS;
  output reg   WrEn__INS_FIFO__INS;
  input    clk50M;
  input wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] Data;
  input wire   WrClock;
  input wire   RdClock;
  input wire   WrEn;
  input wire   RdEn;
  input wire   Reset;
  input wire   RPReset;
  output wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] Q;
  output wire   Empty;
  output wire   Full;
  output wire   AlmostEmpty;
  output wire   AlmostFull;
  wire   Empty_int;
  wire   Full_int;
  supply1   ipgen_VCC;
  supply0   ipgen_GND;
  wire   Full_int_inv;
  wire   Empty_int_inv;
  wire   fifo_pf0;
  wire   fifo_pe0;
  wire   fifo_f0;
  wire   fifo_e0;
  wire   fifo_pf1;
  wire   fifo_pe1;
  wire   fifo_f1;
  wire   fifo_e1;
  wire   fifo_wei;
  reg   fifo_fwe1=1'Sb0;
  reg   fifo_fwe0=1'Sb1;
  reg   fifo_fre0=1'Sb1;
  wire   rRst;
  wire   fifo_rei;
  reg   fifo_fre1=1'Sb0;
  reg   fiforsel;
  wire   mdout_0_0;
  wire   mdout_0_1;
  wire   mdout_1_0;
  wire   mdout_1_1;
  wire   mdout_2_0;
  wire   mdout_2_1;
  wire   mdout_3_0;
  wire   mdout_3_1;
  wire   mdout_4_0;
  wire   mdout_4_1;
  wire   mdout_5_0;
  wire   mdout_5_1;
  wire   mdout_6_0;
  wire   mdout_6_1;
  wire   mdout_7_0;
  wire   mdout_7_1;
  wire   mdout_8_0;
  wire   mdout_8_1;
  wire   mdout_9_0;
  wire   mdout_9_1;
  wire   mdout_10_0;
  wire   mdout_10_1;
  wire   mdout_11_0;
  wire   mdout_11_1;
  wire   mdout_12_0;
  wire   mdout_12_1;
  wire   mdout_13_0;
  wire   mdout_13_1;
  wire   mdout_14_0;
  wire   mdout_14_1;
  wire   mdout_15_0;
  wire   mdout_15_1;
  // ParamOverrides:
  defparam fifo_0_0_0.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_0_0.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_0_0_0.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_0_0_0.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_0_0.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_0_0_0.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_0_0_0.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_0_0_0.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_0_0_0.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_0_0_0.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_0_0_0.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_0_0_0.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_0_0_0.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_0_0.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_1_1.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_1_1.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_0_1_1.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_0_1_1.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_1_1.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_0_1_1.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_0_1_1.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_0_1_1.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_0_1_1.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_0_1_1.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_0_1_1.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_0_1_1.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_0_1_1.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_1_1.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_2_2.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_2_2.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_0_2_2.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_0_2_2.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_2_2.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_0_2_2.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_0_2_2.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_0_2_2.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_0_2_2.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_0_2_2.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_0_2_2.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_0_2_2.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_0_2_2.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_2_2.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_3_3.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_3_3.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_0_3_3.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_0_3_3.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_3_3.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_0_3_3.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_0_3_3.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_0_3_3.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_0_3_3.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_0_3_3.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_0_3_3.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_0_3_3.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_0_3_3.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_3_3.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_4_4.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_4_4.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_0_4_4.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_0_4_4.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_4_4.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_0_4_4.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_0_4_4.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_0_4_4.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_0_4_4.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_0_4_4.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_0_4_4.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_0_4_4.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_0_4_4.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_4_4.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_5_5.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_5_5.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_0_5_5.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_0_5_5.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_5_5.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_0_5_5.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_0_5_5.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_0_5_5.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_0_5_5.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_0_5_5.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_0_5_5.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_0_5_5.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_0_5_5.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_5_5.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_6_6.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_6_6.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_0_6_6.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_0_6_6.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_6_6.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_0_6_6.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_0_6_6.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_0_6_6.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_0_6_6.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_0_6_6.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_0_6_6.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_0_6_6.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_0_6_6.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_6_6.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_7_7.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_7_7.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_0_7_7.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_0_7_7.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_7_7.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_0_7_7.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_0_7_7.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_0_7_7.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_0_7_7.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_0_7_7.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_0_7_7.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_0_7_7.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_0_7_7.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_7_7.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_8_8.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_8_8.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_0_8_8.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_0_8_8.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_8_8.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_0_8_8.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_0_8_8.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_0_8_8.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_0_8_8.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_0_8_8.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_0_8_8.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_0_8_8.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_0_8_8.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_8_8.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_9_9.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_9_9.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_0_9_9.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_0_9_9.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_9_9.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_0_9_9.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_0_9_9.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_0_9_9.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_0_9_9.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_0_9_9.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_0_9_9.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_0_9_9.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_0_9_9.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_9_9.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_10_10.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_10_10.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_0_10_10.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_0_10_10.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_10_10.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_0_10_10.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_0_10_10.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_0_10_10.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_0_10_10.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_0_10_10.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_0_10_10.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_0_10_10.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_0_10_10.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_10_10.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_11_11.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_11_11.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_0_11_11.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_0_11_11.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_11_11.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_0_11_11.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_0_11_11.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_0_11_11.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_0_11_11.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_0_11_11.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_0_11_11.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_0_11_11.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_0_11_11.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_11_11.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_12_12.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_12_12.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_0_12_12.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_0_12_12.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_12_12.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_0_12_12.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_0_12_12.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_0_12_12.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_0_12_12.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_0_12_12.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_0_12_12.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_0_12_12.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_0_12_12.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_12_12.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_13_13.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_13_13.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_0_13_13.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_0_13_13.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_13_13.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_0_13_13.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_0_13_13.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_0_13_13.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_0_13_13.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_0_13_13.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_0_13_13.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_0_13_13.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_0_13_13.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_13_13.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_14_14.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_14_14.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_0_14_14.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_0_14_14.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_14_14.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_0_14_14.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_0_14_14.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_0_14_14.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_0_14_14.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_0_14_14.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_0_14_14.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_0_14_14.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_0_14_14.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_14_14.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_15_15.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_15_15.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_0_15_15.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_0_15_15.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_0_15_15.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_0_15_15.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_0_15_15.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_0_15_15.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_0_15_15.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_0_15_15.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_0_15_15.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_0_15_15.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_0_15_15.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_0_15_15.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_0_16.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_0_16.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_1_0_16.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_1_0_16.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_0_16.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_1_0_16.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_1_0_16.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_1_0_16.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_1_0_16.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_1_0_16.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_1_0_16.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_1_0_16.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_1_0_16.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_0_16.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_1_17.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_1_17.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_1_1_17.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_1_1_17.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_1_17.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_1_1_17.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_1_1_17.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_1_1_17.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_1_1_17.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_1_1_17.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_1_1_17.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_1_1_17.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_1_1_17.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_1_17.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_2_18.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_2_18.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_1_2_18.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_1_2_18.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_2_18.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_1_2_18.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_1_2_18.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_1_2_18.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_1_2_18.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_1_2_18.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_1_2_18.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_1_2_18.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_1_2_18.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_2_18.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_3_19.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_3_19.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_1_3_19.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_1_3_19.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_3_19.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_1_3_19.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_1_3_19.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_1_3_19.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_1_3_19.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_1_3_19.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_1_3_19.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_1_3_19.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_1_3_19.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_3_19.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_4_20.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_4_20.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_1_4_20.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_1_4_20.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_4_20.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_1_4_20.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_1_4_20.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_1_4_20.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_1_4_20.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_1_4_20.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_1_4_20.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_1_4_20.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_1_4_20.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_4_20.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_5_21.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_5_21.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_1_5_21.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_1_5_21.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_5_21.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_1_5_21.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_1_5_21.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_1_5_21.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_1_5_21.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_1_5_21.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_1_5_21.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_1_5_21.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_1_5_21.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_5_21.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_6_22.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_6_22.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_1_6_22.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_1_6_22.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_6_22.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_1_6_22.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_1_6_22.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_1_6_22.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_1_6_22.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_1_6_22.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_1_6_22.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_1_6_22.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_1_6_22.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_6_22.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_7_23.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_7_23.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_1_7_23.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_1_7_23.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_7_23.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_1_7_23.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_1_7_23.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_1_7_23.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_1_7_23.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_1_7_23.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_1_7_23.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_1_7_23.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_1_7_23.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_7_23.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_8_24.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_8_24.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_1_8_24.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_1_8_24.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_8_24.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_1_8_24.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_1_8_24.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_1_8_24.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_1_8_24.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_1_8_24.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_1_8_24.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_1_8_24.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_1_8_24.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_8_24.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_9_25.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_9_25.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_1_9_25.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_1_9_25.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_9_25.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_1_9_25.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_1_9_25.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_1_9_25.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_1_9_25.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_1_9_25.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_1_9_25.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_1_9_25.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_1_9_25.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_9_25.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_10_26.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_10_26.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_1_10_26.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_1_10_26.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_10_26.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_1_10_26.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_1_10_26.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_1_10_26.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_1_10_26.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_1_10_26.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_1_10_26.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_1_10_26.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_1_10_26.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_10_26.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_11_27.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_11_27.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_1_11_27.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_1_11_27.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_11_27.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_1_11_27.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_1_11_27.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_1_11_27.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_1_11_27.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_1_11_27.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_1_11_27.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_1_11_27.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_1_11_27.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_11_27.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_12_28.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_12_28.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_1_12_28.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_1_12_28.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_12_28.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_1_12_28.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_1_12_28.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_1_12_28.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_1_12_28.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_1_12_28.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_1_12_28.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_1_12_28.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_1_12_28.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_12_28.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_13_29.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_13_29.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_1_13_29.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_1_13_29.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_13_29.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_1_13_29.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_1_13_29.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_1_13_29.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_1_13_29.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_1_13_29.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_1_13_29.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_1_13_29.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_1_13_29.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_13_29.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_14_30.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_14_30.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_1_14_30.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_1_14_30.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_14_30.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_1_14_30.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_1_14_30.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_1_14_30.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_1_14_30.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_1_14_30.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_1_14_30.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_1_14_30.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_1_14_30.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_14_30.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_15_31.FULLPOINTER1 = 128'b00110000011000100011000000110001001100010011000100110001001100010011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_15_31.FULLPOINTER = 128'b00110000011000100011000100110000001100000011000000110000001100000011000000110000001100000011000000110000001100000011000000110000;
  defparam fifo_1_15_31.AFPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110000;
  defparam fifo_1_15_31.AFPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000100110001001100010011000100110001001100010011000100110001;
  defparam fifo_1_15_31.AEPOINTER1 = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000100110000;
  defparam fifo_1_15_31.AEPOINTER = 128'b00110000011000100011000000110000001100000011000000110000001100000011000000110000001100000011000000110000001100010011000000110001;
  defparam fifo_1_15_31.ASYNC_RESET_RELEASE = 32'b01010011010110010100111001000011;
  defparam fifo_1_15_31.GSR = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam fifo_1_15_31.RESETMODE = 40'b0100000101010011010110010100111001000011;
  defparam fifo_1_15_31.REGMODE = 40'b0100111001001111010100100100010101000111;
  defparam fifo_1_15_31.CSDECODE_R = 32'b00110000011000100011000100110001;
  defparam fifo_1_15_31.CSDECODE_W = 32'b00110000011000100011000100110001;
  defparam fifo_1_15_31.DATA_WIDTH_R = 32'Sb00000000000000000000000000000001;
  defparam fifo_1_15_31.DATA_WIDTH_W = 32'Sb00000000000000000000000000000001;
  // ModuleItems:
  assign Full_int_inv = ( ~Full_int );
  assign fifo_wei = ( WrEn & Full_int_inv );
  assign Empty_int_inv = ( ~Empty_int );
  assign fifo_rei = ( RdEn & Empty_int_inv );
  assign rRst = ( Reset | RPReset );
  assign Empty_int = ( fifo_e0 & fifo_e1 );
  assign Full_int = ( fifo_f0 & fifo_f1 );
  assign AlmostEmpty = ( fifo_pe0 & fifo_pe1 );
  assign AlmostFull = ( fifo_pf0 & fifo_pf1 );
  
xsFIFO8KB 
    fifo_0_0_0( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000000000 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe0 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre0 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_0_0 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF( fifo_e0 ),.AEF( fifo_pe0 ),.AFF( fifo_pf0 ),.FF( fifo_f0 ) );
  
xsFIFO8KB 
    fifo_0_1_1( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000000001 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe0 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre0 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_1_0 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_0_2_2( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000000010 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe0 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre0 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_2_0 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_0_3_3( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000000011 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe0 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre0 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_3_0 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_0_4_4( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000000100 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe0 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre0 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_4_0 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_0_5_5( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000000101 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe0 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre0 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_5_0 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_0_6_6( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000000110 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe0 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre0 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_6_0 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_0_7_7( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000000111 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe0 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre0 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_7_0 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_0_8_8( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000001000 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe0 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre0 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_8_0 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_0_9_9( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000001001 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe0 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre0 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_9_0 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_0_10_10( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000001010 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe0 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre0 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_10_0 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_0_11_11( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000001011 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe0 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre0 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_11_0 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_0_12_12( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000001100 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe0 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre0 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_12_0 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_0_13_13( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000001101 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe0 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre0 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_13_0 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_0_14_14( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000001110 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe0 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre0 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_14_0 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_0_15_15( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000001111 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe0 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre0 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_15_0 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_1_0_16( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000000000 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe1 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre1 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_0_1 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF( fifo_e1 ),.AEF( fifo_pe1 ),.AFF( fifo_pf1 ),.FF( fifo_f1 ) );
  
xsFIFO8KB 
    fifo_1_1_17( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000000001 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe1 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre1 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_1_1 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_1_2_18( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000000010 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe1 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre1 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_2_1 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_1_3_19( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000000011 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe1 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre1 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_3_1 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_1_4_20( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000000100 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe1 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre1 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_4_1 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_1_5_21( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000000101 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe1 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre1 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_5_1 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_1_6_22( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000000110 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe1 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre1 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_6_1 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_1_7_23( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000000111 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe1 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre1 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_7_1 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_1_8_24( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000001000 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe1 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre1 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_8_1 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_1_9_25( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000001001 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe1 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre1 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_9_1 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_1_10_26( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000001010 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe1 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre1 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_10_1 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_1_11_27( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000001011 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe1 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre1 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_11_1 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_1_12_28( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000001100 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe1 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre1 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_12_1 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_1_13_29( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000001101 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe1 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre1 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_13_1 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_1_14_30( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000001110 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe1 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre1 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_14_1 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  
xsFIFO8KB 
    fifo_1_15_31( .DI0( ipgen_GND ),.DI1( ipgen_GND ),.DI2( ipgen_GND ),.DI3( ipgen_GND ),.DI4( ipgen_GND ),.DI5( ipgen_GND ),.DI6( ipgen_GND ),.DI7( ipgen_GND ),.DI8( ipgen_GND ),.DI9( ipgen_GND ),.DI10( ipgen_GND ),.DI11( Data[ 32'Sb00000000000000000000000000001111 ] ),.DI12( ipgen_GND ),.DI13( ipgen_GND ),.DI14( ipgen_GND ),.DI15( ipgen_GND ),.DI16( ipgen_GND ),.DI17( ipgen_GND ),.DI18( ipgen_GND ),.DI19( ipgen_GND ),.DI20( ipgen_GND ),.DI21( ipgen_GND ),.DI22( ipgen_GND ),.DI23( ipgen_GND ),.DI24( ipgen_GND ),.DI25( ipgen_GND ),.DI26( ipgen_GND ),.DI27( ipgen_GND ),.DI28( ipgen_GND ),.DI29( ipgen_GND ),.DI30( ipgen_GND ),.DI31( ipgen_GND ),.DI32( ipgen_GND ),.DI33( ipgen_GND ),.DI34( ipgen_GND ),.DI35( ipgen_GND ),.CSW0( ipgen_VCC ),.CSW1( fifo_fwe1 ),.CSR0( ipgen_VCC ),.CSR1( fifo_fre1 ),.FULLI( Full_int ),.EMPTYI( Empty_int ),.WE( WrEn ),.RE( RdEn ),.ORE( RdEn ),.CLKW( WrClock ),.CLKR( RdClock ),.RST( Reset ),.RPRST( RPReset ),.DO0( mdout_15_1 ),.DO1(  ),.DO2(  ),.DO3(  ),.DO4(  ),.DO5(  ),.DO6(  ),.DO7(  ),.DO8(  ),.DO9(  ),.DO10(  ),.DO11(  ),.DO12(  ),.DO13(  ),.DO14(  ),.DO15(  ),.DO16(  ),.DO17(  ),.DO18(  ),.DO19(  ),.DO20(  ),.DO21(  ),.DO22(  ),.DO23(  ),.DO24(  ),.DO25(  ),.DO26(  ),.DO27(  ),.DO28(  ),.DO29(  ),.DO30(  ),.DO31(  ),.DO32(  ),.DO33(  ),.DO34(  ),.DO35(  ),.EF(  ),.AEF(  ),.AFF(  ),.FF(  ) );
  always @( posedge WrClock or posedge Reset )
    begin
      if ( Reset )
        fifo_fwe0 <= 32'Sb00000000000000000000000000000001;
      else
        if ( fifo_wei )
          fifo_fwe0 <= fifo_fwe1;
        else
          fifo_fwe0 <= fifo_fwe0;
    end
  always @( posedge WrClock or posedge Reset )
    begin
      if ( Reset )
        fifo_fwe1 <= 32'Sb00000000000000000000000000000000;
      else
        if ( fifo_wei )
          fifo_fwe1 <= fifo_fwe0;
        else
          fifo_fwe1 <= fifo_fwe1;
    end
  always @( posedge RdClock or posedge rRst )
    begin
      if ( rRst )
        fifo_fre0 <= 32'Sb00000000000000000000000000000001;
      else
        if ( fifo_rei )
          fifo_fre0 <= fifo_fre1;
        else
          fifo_fre0 <= fifo_fre0;
    end
  always @( posedge RdClock or posedge rRst )
    begin
      if ( rRst )
        fifo_fre1 <= 32'Sb00000000000000000000000000000000;
      else
        if ( fifo_rei )
          fifo_fre1 <= fifo_fre0;
        else
          fifo_fre1 <= fifo_fre1;
    end
  always @( posedge RdClock or posedge rRst )
    begin
      if ( rRst )
        fiforsel <= 32'Sb00000000000000000000000000000000;
      else
        if ( fifo_rei )
          fiforsel <= fifo_fre1;
        else
          fiforsel <= fiforsel;
    end
  assign Q[ 32'Sb00000000000000000000000000000000 ] = ( fiforsel ? mdout_0_1 : mdout_0_0 );
  assign Q[ 32'Sb00000000000000000000000000000001 ] = ( fiforsel ? mdout_1_1 : mdout_1_0 );
  assign Q[ 32'Sb00000000000000000000000000000010 ] = ( fiforsel ? mdout_2_1 : mdout_2_0 );
  assign Q[ 32'Sb00000000000000000000000000000011 ] = ( fiforsel ? mdout_3_1 : mdout_3_0 );
  assign Q[ 32'Sb00000000000000000000000000000100 ] = ( fiforsel ? mdout_4_1 : mdout_4_0 );
  assign Q[ 32'Sb00000000000000000000000000000101 ] = ( fiforsel ? mdout_5_1 : mdout_5_0 );
  assign Q[ 32'Sb00000000000000000000000000000110 ] = ( fiforsel ? mdout_6_1 : mdout_6_0 );
  assign Q[ 32'Sb00000000000000000000000000000111 ] = ( fiforsel ? mdout_7_1 : mdout_7_0 );
  assign Q[ 32'Sb00000000000000000000000000001000 ] = ( fiforsel ? mdout_8_1 : mdout_8_0 );
  assign Q[ 32'Sb00000000000000000000000000001001 ] = ( fiforsel ? mdout_9_1 : mdout_9_0 );
  assign Q[ 32'Sb00000000000000000000000000001010 ] = ( fiforsel ? mdout_10_1 : mdout_10_0 );
  assign Q[ 32'Sb00000000000000000000000000001011 ] = ( fiforsel ? mdout_11_1 : mdout_11_0 );
  assign Q[ 32'Sb00000000000000000000000000001100 ] = ( fiforsel ? mdout_12_1 : mdout_12_0 );
  assign Q[ 32'Sb00000000000000000000000000001101 ] = ( fiforsel ? mdout_13_1 : mdout_13_0 );
  assign Q[ 32'Sb00000000000000000000000000001110 ] = ( fiforsel ? mdout_14_1 : mdout_14_0 );
  assign Q[ 32'Sb00000000000000000000000000001111 ] = ( fiforsel ? mdout_15_1 : mdout_15_0 );
  assign Empty = Empty_int;
  assign Full = Full_int;
  always @( posedge clk50M )
    begin
      Q__INS_FIFO__INS <= Q;
      Data__INS_FIFO__INS <= Data;
      Empty__INS_FIFO__INS <= Empty;
      WrEn__INS_FIFO__INS <= WrEn;
      RdEn__INS_FIFO__INS <= RdEn;
    end
endmodule

module ad7606_uart( clk25m,Reset_n,Rs232_Tx,Rs232_Rx,led,ad7606_reset_o,ad7606_cs_n_o,ad7606_rd_n_o,ad7606_os_o,ad7606_convst_o,ad7606_db15,ad7606_db14_9,ad7606_db6_0,ad7606_frstdata,Dout_A,Dout_B,HQINS__TMS,HQINS__TCK,HQINS__TDI,HQINS__TDO );
  // ModuleSymTable
  // Data IDs:
  wire  [ 31 : 0 ] ADC_Speed_Set__INS_cmd_ctrl__INS;
  wire  [ 2 : 0 ] Baud_Set__INS_uart_byte_rx__INS;
  wire  [ 7 : 0 ] ChannelSel__INS_cmd_ctrl__INS;
  wire  [ 15 : 0 ] DataNum__INS_cmd_ctrl__INS;
  wire  [ 15 : 0 ] Data__INS_FIFO__INS;
  wire  [ 7 : 0 ] Data__INS_uart_byte_rx__INS;
  wire   Empty__INS_FIFO__INS;
  wire  [ 15 : 0 ] Q__INS_FIFO__INS;
  wire   RdEn__INS_FIFO__INS;
  wire   Reset_n__INS_cmd_ctrl__INS;
  wire   Reset_n__INS_uart_byte_rx__INS;
  wire   RestartReq__INS_cmd_ctrl__INS;
  wire   Rx_Done__INS_uart_byte_rx__INS;
  wire   WrEn__INS_FIFO__INS;
  wire   cmdvalid__INS_cmd_ctrl__INS;
  wire  [ 7 : 0 ] rx_data__INS_uart_cmd__INS;
  wire   rx_done__INS_uart_cmd__INS;
  wire   uart_rx__INS_uart_byte_rx__INS;
  input wire   clk25m;
  input wire   Reset_n;
  input wire   Rs232_Rx;
  output wire   Rs232_Tx;
  output wire   led;
  input wire   ad7606_frstdata;
  input wire   Dout_A;
  input wire   Dout_B;
  output wire  [ 32'Sb00000000000000000000000000000010 : 32'Sb00000000000000000000000000000000 ] ad7606_os_o;
  output wire   ad7606_convst_o;
  output wire   ad7606_db15;
  output wire   ad7606_cs_n_o;
  output wire   ad7606_rd_n_o;
  output wire  [ 32'Sb00000000000000000000000000001110 : 32'Sb00000000000000000000000000001001 ] ad7606_db14_9;
  output wire  [ 32'Sb00000000000000000000000000000110 : 32'Sb00000000000000000000000000000000 ] ad7606_db6_0;
  output wire   ad7606_reset_o;
  wire   fifowrreq;
  wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] fifowrdata;
  wire  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] uart_tx_data;
  wire   uart_send_en;
  wire   uart_tx_done;
  wire   key_flag;
  wire   key_state;
  wire   fifordempty;
  wire   fifordreq;
  wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] fiforddata;
  wire  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] rx_data;
  wire   rx_done;
  wire  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] ChannelSel;
  wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] DataNum;
  wire  [ 32'Sb00000000000000000000000000011111 : 32'Sb00000000000000000000000000000000 ] ADC_Speed_Set;
  input    HQINS__TCK;
  input    HQINS__TDI;
  output    HQINS__TDO;
  input    HQINS__TMS;
  wire  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] cmd_addr;
  wire  [ 32'Sb00000000000000000000000000011111 : 32'Sb00000000000000000000000000000000 ] cmd_data;
  wire   cmdvalid;
  wire   RestartReq;
  wire  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] adc_data_flag;
  wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] adc_data_mult_ch;
  wire   clk50M;
  wire   PLL_Locked;
  wire   system_rst_n;
  wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_a;
  wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_b;
  reg  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] adc_data_flag_0;
  reg  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] adc_data_flag_1;
  reg  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_a0;
  reg  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_a1;
  reg  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_b0;
  reg  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_b1;
  // ModuleItems:
  PLL_FREQ_30K 
    PLL( .CLKI( clk25m ),.CLKOP(  ),.CLKOS( clk50M ),.LOCK( PLL_Locked ) );
  assign system_rst_n = ( Reset_n && PLL_Locked );
  assign led = system_rst_n;
  uart_byte_rx 
    uart_byte_rx( .Clk( clk50M ),.Reset_n( system_rst_n ),.Baud_Set( 32'Sb00000000000000000000000000000100 ),.uart_rx( Rs232_Rx ),.Data( rx_data ),.Rx_Done( rx_done ),.Data__INS_uart_byte_rx__INS( Data__INS_uart_byte_rx__INS ),.uart_rx__INS_uart_byte_rx__INS( uart_rx__INS_uart_byte_rx__INS ),.Baud_Set__INS_uart_byte_rx__INS( Baud_Set__INS_uart_byte_rx__INS ),.Rx_Done__INS_uart_byte_rx__INS( Rx_Done__INS_uart_byte_rx__INS ),.Reset_n__INS_uart_byte_rx__INS( Reset_n__INS_uart_byte_rx__INS ),.clk50M( clk50M ) );
  uart_cmd 
    uart_cmd( .Clk( clk50M ),.Reset_n( system_rst_n ),.rx_data( rx_data ),.rx_done( rx_done ),.address( cmd_addr ),.data( cmd_data ),.cmdvalid( cmdvalid ),.rx_data__INS_uart_cmd__INS( rx_data__INS_uart_cmd__INS ),.rx_done__INS_uart_cmd__INS( rx_done__INS_uart_cmd__INS ),.clk50M( clk50M ) );
  cmd_ctrl 
    cmd_ctrl( .Clk( clk50M ),.Reset_n( system_rst_n ),.cmd_data( cmd_data ),.cmd_addr( cmd_addr ),.cmdvalid( cmdvalid ),.RestartReq( RestartReq ),.ChannelSel( ChannelSel ),.DataNum( DataNum ),.ADC_Speed_Set( ADC_Speed_Set ),.DataNum__INS_cmd_ctrl__INS( DataNum__INS_cmd_ctrl__INS ),.ADC_Speed_Set__INS_cmd_ctrl__INS( ADC_Speed_Set__INS_cmd_ctrl__INS ),.ChannelSel__INS_cmd_ctrl__INS( ChannelSel__INS_cmd_ctrl__INS ),.Reset_n__INS_cmd_ctrl__INS( Reset_n__INS_cmd_ctrl__INS ),.cmdvalid__INS_cmd_ctrl__INS( cmdvalid__INS_cmd_ctrl__INS ),.RestartReq__INS_cmd_ctrl__INS( RestartReq__INS_cmd_ctrl__INS ),.clk50M( clk50M ) );
  \ad7606_driver[1]  
    ad7606_driver( .Clk( clk50M ),.Reset_n( system_rst_n ),.Speed_Set( ADC_Speed_Set ),.ad7606_cs_n_o( ad7606_cs_n_o ),.ad7606_rd_n_o( ad7606_rd_n_o ),.ad7606_os_o( ad7606_os_o ),.ad7606_convst_o( ad7606_convst_o ),.ad7606_db15( ad7606_db15 ),.ad7606_db6_0( ad7606_db6_0 ),.ad7606_db14_9( ad7606_db14_9 ),.ad7606_frstdata( ad7606_frstdata ),.ad7606_reset_o( ad7606_reset_o ),.Dout_A( Dout_A ),.Dout_B( Dout_B ),.data_flag( adc_data_flag ),.data_a( data_a ),.data_b( data_b ),.data_1(  ),.data_2(  ),.data_3(  ),.data_4(  ),.data_5(  ),.data_6(  ),.data_7(  ),.data_8(  ) );
  FIFO 
    FIFO( .Data( fifowrdata ),.WrClock( clk50M ),.RdClock( clk50M ),.WrEn( fifowrreq ),.RdEn( fifordreq ),.Reset( ( !system_rst_n ) ),.RPReset(  ),.Q( fiforddata ),.Empty( fifordempty ),.Full(  ),.AlmostEmpty(  ),.AlmostFull(  ),.Q__INS_FIFO__INS( Q__INS_FIFO__INS ),.Data__INS_FIFO__INS( Data__INS_FIFO__INS ),.Empty__INS_FIFO__INS( Empty__INS_FIFO__INS ),.WrEn__INS_FIFO__INS( WrEn__INS_FIFO__INS ),.RdEn__INS_FIFO__INS( RdEn__INS_FIFO__INS ),.clk50M( clk50M ) );
  always @( posedge clk50M )
    begin
      adc_data_flag_0 <= adc_data_flag;
      adc_data_flag_1 <= adc_data_flag_0;
      data_a0 <= data_a;
      data_a1 <= data_a0;
      data_b0 <= data_b;
      data_b1 <= data_b0;
    end
  adc_write_ctrl 
    adc_write_ctrl( .Clk( clk50M ),.Reset_n( system_rst_n ),.DataNum( DataNum ),.RestartReq( RestartReq ),.ChannelSel( ChannelSel ),.fifowrreq( fifowrreq ),.fifowrdata( fifowrdata ),.fifowrfull(  ),.adc_data_flag( adc_data_flag_1 ),.data_a( data_a1 ),.data_b( data_b1 ) );
  uart_byte_tx 
    uart_byte_tx( .Clk( clk50M ),.Rst_n( system_rst_n ),.data_byte( uart_tx_data ),.send_en( uart_send_en ),.baud_set( 32'Sb00000000000000000000000000000100 ),.Rs232_Tx( Rs232_Tx ),.Tx_Done( uart_tx_done ),.uart_state(  ) );
  uart_send_ctrl 
    uart_send_ctrl( .Clk( clk50M ),.Reset_n( system_rst_n ),.uart_tx_data( uart_tx_data ),.uart_send_en( uart_send_en ),.uart_tx_done( uart_tx_done ),.fifordempty( fifordempty ),.fifordreq( fifordreq ),.fiforddata( fiforddata ) );


	wire HQINS__TMS, HQINS__TDI, HQINS__TCK, HQINS__TDO;

	INSIGHT u_insight (
		.trig_in_0 ( {Empty__INS_FIFO__INS,Empty__INS_FIFO__INS,Empty__INS_FIFO__INS,WrEn__INS_FIFO__INS,WrEn__INS_FIFO__INS,WrEn__INS_FIFO__INS,RdEn__INS_FIFO__INS,RdEn__INS_FIFO__INS,RdEn__INS_FIFO__INS,Reset_n__INS_cmd_ctrl__INS,Reset_n__INS_cmd_ctrl__INS,Reset_n__INS_cmd_ctrl__INS,cmdvalid__INS_cmd_ctrl__INS,cmdvalid__INS_cmd_ctrl__INS,cmdvalid__INS_cmd_ctrl__INS,RestartReq__INS_cmd_ctrl__INS,RestartReq__INS_cmd_ctrl__INS,RestartReq__INS_cmd_ctrl__INS,Rx_Done__INS_uart_byte_rx__INS,Rx_Done__INS_uart_byte_rx__INS,Rx_Done__INS_uart_byte_rx__INS,Reset_n__INS_uart_byte_rx__INS,Reset_n__INS_uart_byte_rx__INS,Reset_n__INS_uart_byte_rx__INS,rx_done__INS_uart_cmd__INS,rx_done__INS_uart_cmd__INS,rx_done__INS_uart_cmd__INS}),
		.data_in_0 ( {Q__INS_FIFO__INS,Data__INS_FIFO__INS,DataNum__INS_cmd_ctrl__INS,ADC_Speed_Set__INS_cmd_ctrl__INS,ChannelSel__INS_cmd_ctrl__INS,Data__INS_uart_byte_rx__INS,uart_rx__INS_uart_byte_rx__INS,Baud_Set__INS_uart_byte_rx__INS,rx_data__INS_uart_cmd__INS,Empty__INS_FIFO__INS,WrEn__INS_FIFO__INS,RdEn__INS_FIFO__INS,Reset_n__INS_cmd_ctrl__INS,cmdvalid__INS_cmd_ctrl__INS,RestartReq__INS_cmd_ctrl__INS,Rx_Done__INS_uart_byte_rx__INS,Reset_n__INS_uart_byte_rx__INS,rx_done__INS_uart_cmd__INS}),
		.ref_clk_0 (clk50M),
		.TMS (HQINS__TMS),
		.TCK (HQINS__TCK),
		.TDI (HQINS__TDI),
		.TDO (HQINS__TDO));
endmodule

module PLL_FREQ_30K( CLKI,CLKOP,CLKOS,LOCK );
  // ModuleSymTable
  // Data IDs:
  input wire   CLKI;
  output wire   CLKOP;
  output wire   CLKOS;
  output wire   LOCK;
  supply0   RST;
  supply0   RESETM;
  supply0   RESETC;
  supply0   RESETD;
  supply0   STDBY;
  supply0  [ 32'Sb00000000000000000000000000000001 : 32'Sb00000000000000000000000000000000 ] PHASESEL;
  supply0   PHASEDIR;
  supply0   PHASESTEP;
  wire   DPHSRC;
  wire   CLKO5_t;
  wire   CLKOS3_t;
  wire   CLKOS2_t;
  wire   CLKOP_t;
  wire   CLKOS_t;
  supply0   ipgen_GND;
  wire   CLKINTFB_t;
  wire   CLKI_t;
  // ParamOverrides:
  defparam PLLInst_0.CLKO5_SEL = 40'b0100001101001100010010110100111100110101;
  defparam PLLInst_0.CLKOPD_DLY = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.DDRST_ENA = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam PLLInst_0.DCRST_ENA = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam PLLInst_0.MRST_ENA = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam PLLInst_0.PLLRST_ENA = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam PLLInst_0.INTFB_WAKE = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam PLLInst_0.STDBY_ENABLE = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam PLLInst_0.DPHASE_SOURCE = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam PLLInst_0.PLL_USE_WB = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam PLLInst_0.PLL_LOCK_MODE = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.CLKOS_TRIM_DELAY = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.CLKOS_TRIM_POL = 48'b010100100100100101010011010010010100111001000111;
  defparam PLLInst_0.CLKOP_TRIM_DELAY = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.CLKOP_TRIM_POL = 48'b010100100100100101010011010010010100111001000111;
  defparam PLLInst_0.FRACN_DIV = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.FRACN_ENABLE = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam PLLInst_0.CLKO5_FPHASE = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.CLKO5_CPHASE = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.OUTDIVIDER_MUXE2 = 32'b01000100010010010101011001000101;
  defparam PLLInst_0.VCO_BYPASS_E0 = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam PLLInst_0.CLKO5_ENABLE = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam PLLInst_0.CLKO5_DIV = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.CLKOS3_FPHASE = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.CLKOS3_CPHASE = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.CLKOS2_FPHASE = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.CLKOS2_CPHASE = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.CLKOS_FPHASE = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.CLKOS_CPHASE = 32'Sb00000000000000000000000000001111;
  defparam PLLInst_0.CLKOP_FPHASE = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.CLKOP_CPHASE = 32'Sb00000000000000000000000000000111;
  defparam PLLInst_0.OUTDIVIDER_MUXD2 = 32'b01000100010010010101011001000100;
  defparam PLLInst_0.PREDIVIDER_MUXD1 = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.VCO_BYPASS_D0 = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam PLLInst_0.CLKOS3_ENABLE = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam PLLInst_0.OUTDIVIDER_MUXC2 = 32'b01000100010010010101011001000011;
  defparam PLLInst_0.PREDIVIDER_MUXC1 = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.VCO_BYPASS_C0 = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam PLLInst_0.CLKOS2_ENABLE = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam PLLInst_0.OUTDIVIDER_MUXB2 = 32'b01000100010010010101011001000010;
  defparam PLLInst_0.PREDIVIDER_MUXB1 = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.VCO_BYPASS_B0 = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam PLLInst_0.CLKOS_ENABLE = 56'b01000101010011100100000101000010010011000100010101000100;
  defparam PLLInst_0.OUTDIVIDER_MUXA2 = 32'b01000100010010010101011001000001;
  defparam PLLInst_0.PREDIVIDER_MUXA1 = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.VCO_BYPASS_A0 = 64'b0100010001001001010100110100000101000010010011000100010101000100;
  defparam PLLInst_0.CLKOP_ENABLE = 56'b01000101010011100100000101000010010011000100010101000100;
  defparam PLLInst_0.CLKOS3_DIV = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.CLKOS2_DIV = 32'Sb00000000000000000000000000000000;
  defparam PLLInst_0.CLKOS_DIV = 32'Sb00000000000000000000000000010000;
  defparam PLLInst_0.CLKOP_DIV = 32'Sb00000000000000000000000000001000;
  defparam PLLInst_0.CLKFB_DIV = 32'Sb00000000000000000000000000000100;
  defparam PLLInst_0.CLKI_DIV = 32'Sb00000000000000000000000000000001;
  defparam PLLInst_0.FEEDBK_PATH = 40'b0100001101001100010010110100111101010000;
  defparam PLLInst_0.EN_PHI = 40'b0100011001000001010011000101001101000101;
  // ModuleItems:
  assign CLKI_t = CLKI;
  
xsPLLSA 
    PLLInst_0( .CLKI( CLKI_t ),.CLKFB( CLKOP_t ),.PHASESEL1( PHASESEL[ 32'Sb00000000000000000000000000000001 ] ),.PHASESEL0( PHASESEL[ 32'Sb00000000000000000000000000000000 ] ),.PHASEDIR( PHASEDIR ),.PHASESTEP( PHASESTEP ),.LOADREG( ipgen_GND ),.STDBY( STDBY ),.PLLWAKESYNC( ipgen_GND ),.RST( RST ),.RESETM( RESETM ),.RESETC( RESETC ),.RESETD( RESETD ),.ENCLKOP( ipgen_GND ),.ENCLKOS( ipgen_GND ),.ENCLKOS2( ipgen_GND ),.ENCLKOS3( ipgen_GND ),.PLLCLK( ipgen_GND ),.PLLRST( ipgen_GND ),.PLLSTB( ipgen_GND ),.PLLWE( ipgen_GND ),.PLLADDR4( ipgen_GND ),.PLLADDR3( ipgen_GND ),.PLLADDR2( ipgen_GND ),.PLLADDR1( ipgen_GND ),.PLLADDR0( ipgen_GND ),.PLLDATI7( ipgen_GND ),.PLLDATI6( ipgen_GND ),.PLLDATI5( ipgen_GND ),.PLLDATI4( ipgen_GND ),.PLLDATI3( ipgen_GND ),.PLLDATI2( ipgen_GND ),.PLLDATI1( ipgen_GND ),.PLLDATI0( ipgen_GND ),.CLKOP( CLKOP_t ),.CLKOS( CLKOS_t ),.CLKOS2( CLKOS2_t ),.CLKOS3( CLKOS3_t ),.LOCK( LOCK ),.INTLOCK(  ),.REFCLK(  ),.CLKINTFB( CLKINTFB_t ),.DPHSRC( DPHSRC ),.PLLACK(  ),.PLLDATO7(  ),.PLLDATO6(  ),.PLLDATO5(  ),.PLLDATO4(  ),.PLLDATO3(  ),.PLLDATO2(  ),.PLLDATO1(  ),.PLLDATO0(  ),.CLKO5( CLKO5_t ) );
  assign CLKOS = CLKOS_t;
  assign CLKOP = CLKOP_t;
endmodule

module \ad7606_driver[1] ( Clk,Reset_n,Speed_Set,Dout_A,Dout_B,ad7606_cs_n_o,ad7606_rd_n_o,ad7606_os_o,ad7606_convst_o,ad7606_db15,ad7606_db14_9,ad7606_db6_0,ad7606_frstdata,ad7606_reset_o,data_flag,data_a,data_b,data_1,data_2,data_3,data_4,data_5,data_6,data_7,data_8 );
  // ModuleSymTable
  // Data IDs:
  input wire   Clk;
  input wire   Reset_n;
  input wire  [ 32'Sb00000000000000000000000000011000 : 32'Sb00000000000000000000000000000000 ] Speed_Set;
  input wire   Dout_A;
  input wire   Dout_B;
  input wire   ad7606_frstdata;
  output reg   ad7606_cs_n_o;
  output wire  [ 32'Sb00000000000000000000000000000010 : 32'Sb00000000000000000000000000000000 ] ad7606_os_o;
  output reg   ad7606_convst_o;
  output reg   ad7606_rd_n_o;
  output wire   ad7606_db15;
  output wire  [ 32'Sb00000000000000000000000000000100 : 32'Sb00000000000000000000000000000000 ] ad7606_db14_9;
  output wire  [ 32'Sb00000000000000000000000000000110 : 32'Sb00000000000000000000000000000000 ] ad7606_db6_0;
  output reg   ad7606_reset_o;
  output reg  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_a;
  output reg  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_b;
  output reg  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] data_flag;
  output wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_1;
  output wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_2;
  output wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_3;
  output wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_4;
  output wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_5;
  output wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_6;
  output wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_7;
  output wire  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data_8;
  reg  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data1;
  reg  [ 32'Sb00000000000000000000000000001111 : 32'Sb00000000000000000000000000000000 ] data2;
  parameter signed  DIV_PARAM = 32'Sb00000000000000000000000000000010;
  reg   SCLK2X;
  reg  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] DIV_CNT;
  reg   En;
  reg  [ 32'Sb00000000000000000000000000000111 : 32'Sb00000000000000000000000000000000 ] SCLK_CNT;
  reg  [ 32'Sb00000000000000000000000000000001 : 32'Sb00000000000000000000000000000000 ] cnt_speed;
  reg  [ 32'Sb00000000000000000000000000000001 : 32'Sb00000000000000000000000000000000 ] state;
  reg  [ 32'Sb00000000000000000000000000011000 : 32'Sb00000000000000000000000000000000 ] cnt;
  wire   trig;
  // ModuleItems:
  assign ad7606_db15 = 32'Sb00000000000000000000000000000000;
  assign ad7606_db14_9 = 32'Sb00000000000000000000000000000000;
  assign ad7606_db6_0 = 32'Sb00000000000000000000000000000000;
  assign ad7606_os_o = 32'Sb00000000000000000000000000000000;
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      SCLK2X <= 1'b0;
    else
      if ( ( DIV_CNT == 32'b00000000000000000000000000000001 ) )
        SCLK2X <= 1'b1;
      else
        SCLK2X <= 1'b0;
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      DIV_CNT <= 8'b00000000;
    else
      if ( En )
        begin
          if ( ( DIV_CNT == 32'b00000000000000000000000000000001 ) )
            DIV_CNT <= 8'b00000000;
          else
            DIV_CNT <= ( DIV_CNT + 8'b00000001 );
        end
      else
        DIV_CNT <= 8'b00000000;
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      SCLK_CNT <= 8'b00000000;
    else
      if ( SCLK2X )
        begin
          if ( ( SCLK_CNT == 8'b10000010 ) )
            SCLK_CNT <= 8'b00000000;
          else
            if ( En )
              begin
                SCLK_CNT <= ( SCLK_CNT + 8'b00000001 );
              end
        end
      else
        SCLK_CNT <= SCLK_CNT;
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      cnt <= 32'Sb00000000000000000000000000000000;
    else
      if ( ( cnt == Speed_Set ) )
        cnt <= 32'Sb00000000000000000000000000000000;
      else
        if ( ( !En ) )
          begin
            cnt <= ( cnt + 25'b0000000000000000000000001 );
          end
  assign trig = ( cnt == Speed_Set );
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      begin
        state <= 32'Sb00000000000000000000000000000000;
        En <= 32'Sb00000000000000000000000000000000;
      end
    else
      begin
        case( state )

          2'Sb00 : 
            if ( trig )
              begin
                state <= 32'Sb00000000000000000000000000000001;
                En <= 32'Sb00000000000000000000000000000001;
              end
          2'Sb01 : 
            if ( ( SCLK_CNT == 8'b10000010 ) )
              begin
                state <= 32'Sb00000000000000000000000000000000;
                En <= 32'Sb00000000000000000000000000000000;
              end
          default :  ;
        endcase
      end
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      data_flag <= 32'Sb00000000000000000000000000000000;
    else
      begin
        data_flag[ 32'Sb00000000000000000000000000000000 ] <= ( SCLK_CNT == 32'b00000000000000000000000010000010 );
        data_flag[ 32'Sb00000000000000000000000000000001 ] <= ( SCLK_CNT == 32'b00000000000000000000000000100011 );
        data_flag[ 32'Sb00000000000000000000000000000010 ] <= ( SCLK_CNT == 32'b00000000000000000000000001000011 );
        data_flag[ 32'Sb00000000000000000000000000000011 ] <= ( SCLK_CNT == 32'b00000000000000000000000001100011 );
        data_flag[ 32'Sb00000000000000000000000000000100 ] <= ( SCLK_CNT == 32'b00000000000000000000000010000010 );
        data_flag[ 32'Sb00000000000000000000000000000101 ] <= ( SCLK_CNT == 32'b00000000000000000000000000100011 );
        data_flag[ 32'Sb00000000000000000000000000000110 ] <= ( SCLK_CNT == 32'b00000000000000000000000001000011 );
        data_flag[ 32'Sb00000000000000000000000000000111 ] <= ( SCLK_CNT == 32'b00000000000000000000000001100011 );
      end
  assign data_1 = ( ( SCLK_CNT == 32'b00000000000000000000000010000010 ) ? data_a : data_1 );
  assign data_2 = ( ( SCLK_CNT == 32'b00000000000000000000000000100011 ) ? data_a : data_2 );
  assign data_3 = ( ( SCLK_CNT == 32'b00000000000000000000000001000011 ) ? data_a : data_3 );
  assign data_4 = ( ( SCLK_CNT == 32'b00000000000000000000000001100011 ) ? data_a : data_4 );
  assign data_5 = ( ( SCLK_CNT == 32'b00000000000000000000000010000010 ) ? data_b : data_5 );
  assign data_6 = ( ( SCLK_CNT == 32'b00000000000000000000000000100011 ) ? data_b : data_6 );
  assign data_7 = ( ( SCLK_CNT == 32'b00000000000000000000000001000011 ) ? data_b : data_7 );
  assign data_8 = ( ( SCLK_CNT == 32'b00000000000000000000000001100011 ) ? data_b : data_8 );
  always @( posedge Clk or negedge Reset_n )
    if ( ( !Reset_n ) )
      begin
        ad7606_cs_n_o <= 32'Sb00000000000000000000000000000001;
        data_a <= 16'b0000000000000000;
        data_b <= 16'b0000000000000000;
        ad7606_convst_o <= 32'Sb00000000000000000000000000000001;
        ad7606_reset_o <= 32'Sb00000000000000000000000000000000;
        data1 <= 32'Sb00000000000000000000000000000000;
        data2 <= 32'Sb00000000000000000000000000000000;
      end
    else
      begin
        case( SCLK_CNT )

          9'Sb000000000 : 
            begin
              ad7606_cs_n_o <= 32'Sb00000000000000000000000000000001;
              data_a <= data_a;
              data_b <= data_b;
              ad7606_convst_o <= 32'Sb00000000000000000000000000000000;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000001;
            end
          9'Sb000000001 : 
            begin
              ad7606_convst_o <= 32'Sb00000000000000000000000000000001;
              ad7606_cs_n_o <= 32'Sb00000000000000000000000000000000;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000001;
            end
          9'Sb000000010 : 
            begin
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000001;
              ad7606_cs_n_o <= 32'Sb00000000000000000000000000000000;
            end
          9'Sb000000100,9'Sb000100100,9'Sb001000100,9'Sb001100100,9'Sb000000110,9'Sb000100110,9'Sb001000110,9'Sb001100110,9'Sb000001000,9'Sb000101000,9'Sb001001000,9'Sb001101000,9'Sb000001010,9'Sb000101010,9'Sb001001010,9'Sb001101010,9'Sb000001100,9'Sb000101100,9'Sb001001100,9'Sb001101100,9'Sb000001110,9'Sb000101110,9'Sb001001110,9'Sb001101110,9'Sb000010000,9'Sb000110000,9'Sb001010000,9'Sb001110000,9'Sb000010010,9'Sb000110010,9'Sb001010010,9'Sb001110010,9'Sb000010100,9'Sb000110100,9'Sb001010100,9'Sb001110100,9'Sb000010110,9'Sb000110110,9'Sb001010110,9'Sb001110110,9'Sb000011000,9'Sb000111000,9'Sb001011000,9'Sb001111000,9'Sb000011010,9'Sb000111010,9'Sb001011010,9'Sb001111010,9'Sb000011100,9'Sb000111100,9'Sb001011100,9'Sb001111100,9'Sb000011110,9'Sb000111110,9'Sb001011110,9'Sb001111110,9'Sb000100000,9'Sb001000000,9'Sb001100000,9'Sb010000000 : 
            begin
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000001;
            end
          9'Sb000000011,9'Sb000100011,9'Sb001000011,9'Sb001100011 : 
            begin
              data1[ 32'Sb00000000000000000000000000001111 ] <= Dout_A;
              data2[ 32'Sb00000000000000000000000000001111 ] <= Dout_B;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000000;
            end
          9'Sb000000101,9'Sb000100101,9'Sb001000101,9'Sb001100101 : 
            begin
              data1[ 32'Sb00000000000000000000000000001110 ] <= Dout_A;
              data2[ 32'Sb00000000000000000000000000001110 ] <= Dout_B;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000000;
            end
          9'Sb000000111,9'Sb000100111,9'Sb001000111,9'Sb001100111 : 
            begin
              data1[ 32'Sb00000000000000000000000000001101 ] <= Dout_A;
              data2[ 32'Sb00000000000000000000000000001101 ] <= Dout_B;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000000;
            end
          9'Sb000001001,9'Sb000101001,9'Sb001001001,9'Sb001101001 : 
            begin
              data1[ 32'Sb00000000000000000000000000001100 ] <= Dout_A;
              data2[ 32'Sb00000000000000000000000000001100 ] <= Dout_B;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000000;
            end
          9'Sb000001011,9'Sb000101011,9'Sb001001011,9'Sb001101011 : 
            begin
              data1[ 32'Sb00000000000000000000000000001011 ] <= Dout_A;
              data2[ 32'Sb00000000000000000000000000001011 ] <= Dout_B;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000000;
            end
          9'Sb000001101,9'Sb000101101,9'Sb001001101,9'Sb001101101 : 
            begin
              data1[ 32'Sb00000000000000000000000000001010 ] <= Dout_A;
              data2[ 32'Sb00000000000000000000000000001010 ] <= Dout_B;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000000;
            end
          9'Sb000001111,9'Sb000101111,9'Sb001001111,9'Sb001101111 : 
            begin
              data1[ 32'Sb00000000000000000000000000001001 ] <= Dout_A;
              data2[ 32'Sb00000000000000000000000000001001 ] <= Dout_B;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000000;
            end
          9'Sb000010001,9'Sb000110001,9'Sb001010001,9'Sb001110001 : 
            begin
              data1[ 32'Sb00000000000000000000000000001000 ] <= Dout_A;
              data2[ 32'Sb00000000000000000000000000001000 ] <= Dout_B;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000000;
            end
          9'Sb000010011,9'Sb000110011,9'Sb001010011,9'Sb001110011 : 
            begin
              data1[ 32'Sb00000000000000000000000000000111 ] <= Dout_A;
              data2[ 32'Sb00000000000000000000000000000111 ] <= Dout_B;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000000;
            end
          9'Sb000010101,9'Sb000110101,9'Sb001010101,9'Sb001110101 : 
            begin
              data1[ 32'Sb00000000000000000000000000000110 ] <= Dout_A;
              data2[ 32'Sb00000000000000000000000000000110 ] <= Dout_B;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000000;
            end
          9'Sb000010111,9'Sb000110111,9'Sb001010111,9'Sb001110111 : 
            begin
              data1[ 32'Sb00000000000000000000000000000101 ] <= Dout_A;
              data2[ 32'Sb00000000000000000000000000000101 ] <= Dout_B;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000000;
            end
          9'Sb000011001,9'Sb000111001,9'Sb001011001,9'Sb001111001 : 
            begin
              data1[ 32'Sb00000000000000000000000000000100 ] <= Dout_A;
              data2[ 32'Sb00000000000000000000000000000100 ] <= Dout_B;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000000;
            end
          9'Sb000011011,9'Sb000111011,9'Sb001011011,9'Sb001111011 : 
            begin
              data1[ 32'Sb00000000000000000000000000000011 ] <= Dout_A;
              data2[ 32'Sb00000000000000000000000000000011 ] <= Dout_B;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000000;
            end
          9'Sb000011101,9'Sb000111101,9'Sb001011101,9'Sb001111101 : 
            begin
              data1[ 32'Sb00000000000000000000000000000010 ] <= Dout_A;
              data2[ 32'Sb00000000000000000000000000000010 ] <= Dout_B;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000000;
            end
          9'Sb000011111,9'Sb000111111,9'Sb001011111,9'Sb001111111 : 
            begin
              data1[ 32'Sb00000000000000000000000000000001 ] <= Dout_A;
              data2[ 32'Sb00000000000000000000000000000001 ] <= Dout_B;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000000;
            end
          9'Sb000100001,9'Sb001000001,9'Sb001100001,9'Sb010000001 : 
            begin
              data1[ 32'Sb00000000000000000000000000000000 ] <= Dout_A;
              data2[ 32'Sb00000000000000000000000000000000 ] <= Dout_B;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000000;
            end
          9'Sb000100010,9'Sb001000010,9'Sb001100010,9'Sb010000010 : 
            begin
              data_a <= data1;
              data_b <= data2;
              ad7606_rd_n_o <= 32'Sb00000000000000000000000000000001;
            end
          default : 
            begin
              ad7606_cs_n_o <= 32'Sb00000000000000000000000000000001;
              data_a <= data_a;
              data_b <= data_b;
              ad7606_convst_o <= 32'Sb00000000000000000000000000000001;
              ad7606_reset_o <= 32'Sb00000000000000000000000000000000;
              data1 <= data1;
              data2 <= data2;
            end
        endcase
      end
endmodule

